<%
/**
 *     Copyright (C) 2009-2011  Jack A. Rider All rights reserved.
 * 
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 */
%> 
<%@include file="../init.jsp" %>

<%@ page import="org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile" %>
<%@ page import="org.xmlportletfactory.portal.goodclient.service.integerRegexpExampleFileLocalServiceUtil" %>

<%@ page import="com.liferay.portlet.PortalPreferences" %>
<%@ page import="com.liferay.portal.kernel.util.Validator" %>
<%@ page import="com.liferay.portal.kernel.util.OrderByComparator" %>
<%@ page import="org.xmlportletfactory.portal.goodclient.IntegerRegexpExampleComparator" %>

<jsp:useBean id="addIntegerRegexpExampleURL" class="java.lang.String" scope="request" />
<jsp:useBean id="integerRegexpExampleFileFilterURL" class="java.lang.String" scope="request" />
<jsp:useBean id="integerRegexpExampleFileFilter" class="java.lang.String" scope="request" />
<link rel="stylesheet" type="text/css" href="/xmlpfIntegerRegexpExample-portlet/css/Portlet_IntegerRegexpExample.css" />
<liferay-ui:success key="integerRegexpExampleFile-prefs-success" message="integerRegexpExampleFile-prefs-success" />
<liferay-ui:success key="integerRegexpExampleFile-added-successfully" message="integerRegexpExampleFile-added-successfully" />
<liferay-ui:success key="integerRegexpExampleFile-deleted-successfully" message="integerRegexpExampleFile-deleted-successfully" />
<liferay-ui:success key="integerRegexpExampleFile-updated-successfully" message="integerRegexpExampleFile-updated-successfully" />
<liferay-ui:error key="integerRegexpExampleFile-error-deleting" message="integerRegexpExampleFile-error-deleting" />
<liferay-ui:error key="dependent-rows-exist-error-deleting" message="dependent-rows-exist-error-deleting" />

<c:choose>
	<c:when test='<%= (Boolean)request.getAttribute("hasAddPermission") %>'>
		<input type="button" name="addIntegerRegexpExampleButton" value="<liferay-ui:message key="integerRegexpExampleFile-add" />" onClick="self.location = '<%=addIntegerRegexpExampleURL %>';">
	</c:when>
</c:choose>


<form id="integerRegexpExampleFileFilterForm" name="integerRegexpExampleFileFilterForm" action="<%=integerRegexpExampleFileFilterURL %>" method="POST">
	<input type="text" name="integerRegexpExampleFileFilter" value="<%= integerRegexpExampleFileFilter %>" />
	<input type="submit" value="<liferay-ui:message key="filter" />">
</form>
<%
	String iconChecked = "checked";
	String iconUnchecked = "unchecked";
	int rows_per_page = new Integer(prefs.getValue("integerRegexpExampleFile-rows-per-page", "5"));
	if (Validator.isNotNull(integerRegexpExampleFileFilter) || !integerRegexpExampleFileFilter.equalsIgnoreCase("")) {
		rows_per_page = 100;
	}
	
	SimpleDateFormat dateFormat = new SimpleDateFormat(prefs.getValue("integerRegexpExampleFile-date-format", "yyyy/MM/dd"));
	SimpleDateFormat dateTimeFormat = new SimpleDateFormat(prefs.getValue("integerRegexpExampleFile-datetime-format","yyyy/MM/dd HH:mm"));

	PortalPreferences portalPrefs = PortletPreferencesFactoryUtil.getPortalPreferences(request);

	String orderByCol = ParamUtil.getString(request, "orderByCol");
	String orderByType = ParamUtil.getString(request, "orderByType");

	if (Validator.isNotNull(orderByCol) && Validator.isNotNull(orderByType)) {
		portalPrefs.setValue("integerRegexpExampleFile_order", "integerRegexpExampleFile-order-by-col", orderByCol);
		portalPrefs.setValue("integerRegexpExampleFile_order", "integerRegexpExampleFile-order-by-type", orderByType);
	} else {
		orderByCol = portalPrefs.getValue("integerRegexpExampleFile_order", "integerRegexpExampleFile-order-by-col", "exampleId");
		orderByType = portalPrefs.getValue("integerRegexpExampleFile_order", "integerRegexpExampleFile-order-by-type", "asc");
	}
%>
<liferay-ui:search-container  delta='<%= rows_per_page %>' emptyResultsMessage="integerRegexpExampleFile-empty-results-message" orderByCol="<%= orderByCol%>" orderByType="<%= orderByType%>">
	<liferay-ui:search-container-results>

		<%
		int containerStart;
		int containerEnd;
		try {
			containerStart = ParamUtil.getInteger(request, "containerStart");
			containerEnd = ParamUtil.getInteger(request, "containerEnd");
		} catch (Exception e) {
			containerStart = searchContainer.getStart();
			containerEnd = searchContainer.getEnd();
		}
		if (containerStart <=0) {
			containerStart = searchContainer.getStart();
			containerEnd = searchContainer.getEnd();
		}
		
		List<integerRegexpExampleFile> tempResults = (List<integerRegexpExampleFile>)request.getAttribute("tempResults");
		results = ListUtil.subList(tempResults, containerStart, containerEnd);
		total = tempResults.size();

		pageContext.setAttribute("results", results);
		pageContext.setAttribute("total", total);

		request.setAttribute("containerStart",String.valueOf(containerStart));
		request.setAttribute("containerEnd",String.valueOf(containerEnd));
		%>

	</liferay-ui:search-container-results>

	<liferay-ui:search-container-row
		className="org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile"
		keyProperty="exampleId"
		modelVar="integerRegexpExample"
	>

		<liferay-ui:search-container-column-text
			name="Id"
		    property="exampleId"
			orderable="true"
			orderableProperty="exampleId"
			align="right"
		/>
		<liferay-ui:search-container-column-text
			name="Description"
			property="exampleDescription"
			orderable="true"
			orderableProperty="exampleDescription"
			align="left"
		/>
		<liferay-ui:search-container-column-text
			name="Integer Field"
		    property="integerField"
			orderable="true"
			orderableProperty="integerField"
			align="right"
		/>
		<liferay-ui:search-container-column-jsp
			align="right"
			path="/JSPs/integerRegexpExampleFile/edit_actions.jsp"
		/>

	</liferay-ui:search-container-row>

	<liferay-ui:search-iterator />

</liferay-ui:search-container>
