/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package org.xmlportletfactory.portal.goodclient.model;

import com.liferay.portal.kernel.bean.AutoEscapeBeanHandler;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.model.impl.BaseModelImpl;
import com.liferay.portal.util.PortalUtil;

import java.io.Serializable;

import java.lang.reflect.Proxy;

/**
 * @author Jack A. Rider
 */
public class integerRegexpExampleFileClp extends BaseModelImpl<integerRegexpExampleFile>
	implements integerRegexpExampleFile {
	public integerRegexpExampleFileClp() {
	}

	public long getPrimaryKey() {
		return _exampleId;
	}

	public void setPrimaryKey(long pk) {
		setExampleId(pk);
	}

	public Serializable getPrimaryKeyObj() {
		return new Long(_exampleId);
	}

	public long getExampleId() {
		return _exampleId;
	}

	public void setExampleId(long exampleId) {
		_exampleId = exampleId;
	}

	public long getCompanyId() {
		return _companyId;
	}

	public void setCompanyId(long companyId) {
		_companyId = companyId;
	}

	public long getGroupId() {
		return _groupId;
	}

	public void setGroupId(long groupId) {
		_groupId = groupId;
	}

	public long getUserId() {
		return _userId;
	}

	public void setUserId(long userId) {
		_userId = userId;
	}

	public String getUserUuid() throws SystemException {
		return PortalUtil.getUserValue(getUserId(), "uuid", _userUuid);
	}

	public void setUserUuid(String userUuid) {
		_userUuid = userUuid;
	}

	public String getExampleDescription() {
		return _exampleDescription;
	}

	public void setExampleDescription(String exampleDescription) {
		_exampleDescription = exampleDescription;
	}

	public int getIntegerField() {
		return _integerField;
	}

	public void setIntegerField(int integerField) {
		_integerField = integerField;
	}

	public integerRegexpExampleFile toEscapedModel() {
		if (isEscapedModel()) {
			return this;
		}
		else {
			return (integerRegexpExampleFile)Proxy.newProxyInstance(integerRegexpExampleFile.class.getClassLoader(),
				new Class[] { integerRegexpExampleFile.class },
				new AutoEscapeBeanHandler(this));
		}
	}

	public Object clone() {
		integerRegexpExampleFileClp clone = new integerRegexpExampleFileClp();

		clone.setExampleId(getExampleId());
		clone.setCompanyId(getCompanyId());
		clone.setGroupId(getGroupId());
		clone.setUserId(getUserId());
		clone.setExampleDescription(getExampleDescription());
		clone.setIntegerField(getIntegerField());

		return clone;
	}

	public int compareTo(integerRegexpExampleFile integerRegexpExampleFile) {
		long pk = integerRegexpExampleFile.getPrimaryKey();

		if (getPrimaryKey() < pk) {
			return -1;
		}
		else if (getPrimaryKey() > pk) {
			return 1;
		}
		else {
			return 0;
		}
	}

	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}

		integerRegexpExampleFileClp integerRegexpExampleFile = null;

		try {
			integerRegexpExampleFile = (integerRegexpExampleFileClp)obj;
		}
		catch (ClassCastException cce) {
			return false;
		}

		long pk = integerRegexpExampleFile.getPrimaryKey();

		if (getPrimaryKey() == pk) {
			return true;
		}
		else {
			return false;
		}
	}

	public int hashCode() {
		return (int)getPrimaryKey();
	}

	public String toString() {
		StringBundler sb = new StringBundler(13);

		sb.append("{exampleId=");
		sb.append(getExampleId());
		sb.append(", companyId=");
		sb.append(getCompanyId());
		sb.append(", groupId=");
		sb.append(getGroupId());
		sb.append(", userId=");
		sb.append(getUserId());
		sb.append(", exampleDescription=");
		sb.append(getExampleDescription());
		sb.append(", integerField=");
		sb.append(getIntegerField());
		sb.append("}");

		return sb.toString();
	}

	public String toXmlString() {
		StringBundler sb = new StringBundler(22);

		sb.append("<model><model-name>");
		sb.append(
			"org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile");
		sb.append("</model-name>");

		sb.append(
			"<column><column-name>exampleId</column-name><column-value><![CDATA[");
		sb.append(getExampleId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>companyId</column-name><column-value><![CDATA[");
		sb.append(getCompanyId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>groupId</column-name><column-value><![CDATA[");
		sb.append(getGroupId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>userId</column-name><column-value><![CDATA[");
		sb.append(getUserId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>exampleDescription</column-name><column-value><![CDATA[");
		sb.append(getExampleDescription());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>integerField</column-name><column-value><![CDATA[");
		sb.append(getIntegerField());
		sb.append("]]></column-value></column>");

		sb.append("</model>");

		return sb.toString();
	}

	private long _exampleId;
	private long _companyId;
	private long _groupId;
	private long _userId;
	private String _userUuid;
	private String _exampleDescription;
	private int _integerField;
}