/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package org.xmlportletfactory.portal.goodclient.model;

import com.liferay.portal.kernel.annotation.AutoEscape;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the integerRegexpExampleFile service. Represents a row in the &quot;xmlpfintegerregexpexample_integerRegexpExampleFile&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link org.xmlportletfactory.portal.goodclient.model.impl.integerRegexpExampleFileModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link org.xmlportletfactory.portal.goodclient.model.impl.integerRegexpExampleFileImpl}.
 * </p>
 *
 * <p>
 * Never modify or reference this interface directly. All methods that expect a integer regexp example file model instance should use the {@link integerRegexpExampleFile} interface instead.
 * </p>
 *
 * @author Jack A. Rider
 * @see integerRegexpExampleFile
 * @see org.xmlportletfactory.portal.goodclient.model.impl.integerRegexpExampleFileImpl
 * @see org.xmlportletfactory.portal.goodclient.model.impl.integerRegexpExampleFileModelImpl
 * @generated
 */
public interface integerRegexpExampleFileModel extends BaseModel<integerRegexpExampleFile> {
	/**
	 * Gets the primary key of this integer regexp example file.
	 *
	 * @return the primary key of this integer regexp example file
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this integer regexp example file
	 *
	 * @param pk the primary key of this integer regexp example file
	 */
	public void setPrimaryKey(long pk);

	/**
	 * Gets the example id of this integer regexp example file.
	 *
	 * @return the example id of this integer regexp example file
	 */
	public long getExampleId();

	/**
	 * Sets the example id of this integer regexp example file.
	 *
	 * @param exampleId the example id of this integer regexp example file
	 */
	public void setExampleId(long exampleId);

	/**
	 * Gets the company id of this integer regexp example file.
	 *
	 * @return the company id of this integer regexp example file
	 */
	public long getCompanyId();

	/**
	 * Sets the company id of this integer regexp example file.
	 *
	 * @param companyId the company id of this integer regexp example file
	 */
	public void setCompanyId(long companyId);

	/**
	 * Gets the group id of this integer regexp example file.
	 *
	 * @return the group id of this integer regexp example file
	 */
	public long getGroupId();

	/**
	 * Sets the group id of this integer regexp example file.
	 *
	 * @param groupId the group id of this integer regexp example file
	 */
	public void setGroupId(long groupId);

	/**
	 * Gets the user id of this integer regexp example file.
	 *
	 * @return the user id of this integer regexp example file
	 */
	public long getUserId();

	/**
	 * Sets the user id of this integer regexp example file.
	 *
	 * @param userId the user id of this integer regexp example file
	 */
	public void setUserId(long userId);

	/**
	 * Gets the user uuid of this integer regexp example file.
	 *
	 * @return the user uuid of this integer regexp example file
	 * @throws SystemException if a system exception occurred
	 */
	public String getUserUuid() throws SystemException;

	/**
	 * Sets the user uuid of this integer regexp example file.
	 *
	 * @param userUuid the user uuid of this integer regexp example file
	 */
	public void setUserUuid(String userUuid);

	/**
	 * Gets the example description of this integer regexp example file.
	 *
	 * @return the example description of this integer regexp example file
	 */
	@AutoEscape
	public String getExampleDescription();

	/**
	 * Sets the example description of this integer regexp example file.
	 *
	 * @param exampleDescription the example description of this integer regexp example file
	 */
	public void setExampleDescription(String exampleDescription);

	/**
	 * Gets the integer field of this integer regexp example file.
	 *
	 * @return the integer field of this integer regexp example file
	 */
	public int getIntegerField();

	/**
	 * Sets the integer field of this integer regexp example file.
	 *
	 * @param integerField the integer field of this integer regexp example file
	 */
	public void setIntegerField(int integerField);

	/**
	 * Gets a copy of this integer regexp example file as an escaped model instance by wrapping it with an {@link com.liferay.portal.kernel.bean.AutoEscapeBeanHandler}.
	 *
	 * @return the escaped model instance
	 * @see com.liferay.portal.kernel.bean.AutoEscapeBeanHandler
	 */
	public integerRegexpExampleFile toEscapedModel();

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public void setEscapedModel(boolean escapedModel);

	public Serializable getPrimaryKeyObj();

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(integerRegexpExampleFile integerRegexpExampleFile);

	public int hashCode();

	public String toString();

	public String toXmlString();
}