/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package org.xmlportletfactory.portal.goodclient.service;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.util.ClassLoaderProxy;

/**
 * The utility for the integer regexp example file local service. This utility wraps {@link org.xmlportletfactory.portal.goodclient.service.impl.integerRegexpExampleFileLocalServiceImpl} and is the primary access point for service operations in application layer code running on the local server.
 *
 * <p>
 * Never modify this class directly. Add custom service methods to {@link org.xmlportletfactory.portal.goodclient.service.impl.integerRegexpExampleFileLocalServiceImpl} and rerun ServiceBuilder to regenerate this class.
 * </p>
 *
 * <p>
 * This is a local service. Methods of this service will not have security checks based on the propagated JAAS credentials because this service can only be accessed from within the same VM.
 * </p>
 *
 * @author Jack A. Rider
 * @see integerRegexpExampleFileLocalService
 * @see org.xmlportletfactory.portal.goodclient.service.base.integerRegexpExampleFileLocalServiceBaseImpl
 * @see org.xmlportletfactory.portal.goodclient.service.impl.integerRegexpExampleFileLocalServiceImpl
 * @generated
 */
public class integerRegexpExampleFileLocalServiceUtil {
	/**
	* Adds the integer regexp example file to the database. Also notifies the appropriate model listeners.
	*
	* @param integerRegexpExampleFile the integer regexp example file to add
	* @return the integer regexp example file that was added
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile addintegerRegexpExampleFile(
		org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile integerRegexpExampleFile)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().addintegerRegexpExampleFile(integerRegexpExampleFile);
	}

	/**
	* Creates a new integer regexp example file with the primary key. Does not add the integer regexp example file to the database.
	*
	* @param exampleId the primary key for the new integer regexp example file
	* @return the new integer regexp example file
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile createintegerRegexpExampleFile(
		long exampleId) {
		return getService().createintegerRegexpExampleFile(exampleId);
	}

	/**
	* Deletes the integer regexp example file with the primary key from the database. Also notifies the appropriate model listeners.
	*
	* @param exampleId the primary key of the integer regexp example file to delete
	* @throws PortalException if a integer regexp example file with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static void deleteintegerRegexpExampleFile(long exampleId)
		throws com.liferay.portal.kernel.exception.PortalException,
			com.liferay.portal.kernel.exception.SystemException {
		getService().deleteintegerRegexpExampleFile(exampleId);
	}

	/**
	* Deletes the integer regexp example file from the database. Also notifies the appropriate model listeners.
	*
	* @param integerRegexpExampleFile the integer regexp example file to delete
	* @throws SystemException if a system exception occurred
	*/
	public static void deleteintegerRegexpExampleFile(
		org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile integerRegexpExampleFile)
		throws com.liferay.portal.kernel.exception.SystemException {
		getService().deleteintegerRegexpExampleFile(integerRegexpExampleFile);
	}

	/**
	* Performs a dynamic query on the database and returns the matching rows.
	*
	* @param dynamicQuery the dynamic query to search with
	* @return the matching rows
	* @throws SystemException if a system exception occurred
	*/
	@SuppressWarnings("rawtypes")
	public static java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().dynamicQuery(dynamicQuery);
	}

	/**
	* Performs a dynamic query on the database and returns a range of the matching rows.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param dynamicQuery the dynamic query to search with
	* @param start the lower bound of the range of model instances to return
	* @param end the upper bound of the range of model instances to return (not inclusive)
	* @return the range of matching rows
	* @throws SystemException if a system exception occurred
	*/
	@SuppressWarnings("rawtypes")
	public static java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.kernel.exception.SystemException {
		return getService().dynamicQuery(dynamicQuery, start, end);
	}

	/**
	* Performs a dynamic query on the database and returns an ordered range of the matching rows.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param dynamicQuery the dynamic query to search with
	* @param start the lower bound of the range of model instances to return
	* @param end the upper bound of the range of model instances to return (not inclusive)
	* @param orderByComparator the comparator to order the results by
	* @return the ordered range of matching rows
	* @throws SystemException if a system exception occurred
	*/
	@SuppressWarnings("rawtypes")
	public static java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService()
				   .dynamicQuery(dynamicQuery, start, end, orderByComparator);
	}

	/**
	* Counts the number of rows that match the dynamic query.
	*
	* @param dynamicQuery the dynamic query to search with
	* @return the number of rows that match the dynamic query
	* @throws SystemException if a system exception occurred
	*/
	public static long dynamicQueryCount(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().dynamicQueryCount(dynamicQuery);
	}

	/**
	* Gets the integer regexp example file with the primary key.
	*
	* @param exampleId the primary key of the integer regexp example file to get
	* @return the integer regexp example file
	* @throws PortalException if a integer regexp example file with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile getintegerRegexpExampleFile(
		long exampleId)
		throws com.liferay.portal.kernel.exception.PortalException,
			com.liferay.portal.kernel.exception.SystemException {
		return getService().getintegerRegexpExampleFile(exampleId);
	}

	/**
	* Gets a range of all the integer regexp example files.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @return the range of integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> getintegerRegexpExampleFiles(
		int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().getintegerRegexpExampleFiles(start, end);
	}

	/**
	* Gets the number of integer regexp example files.
	*
	* @return the number of integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static int getintegerRegexpExampleFilesCount()
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().getintegerRegexpExampleFilesCount();
	}

	/**
	* Updates the integer regexp example file in the database. Also notifies the appropriate model listeners.
	*
	* @param integerRegexpExampleFile the integer regexp example file to update
	* @return the integer regexp example file that was updated
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile updateintegerRegexpExampleFile(
		org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile integerRegexpExampleFile)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService()
				   .updateintegerRegexpExampleFile(integerRegexpExampleFile);
	}

	/**
	* Updates the integer regexp example file in the database. Also notifies the appropriate model listeners.
	*
	* @param integerRegexpExampleFile the integer regexp example file to update
	* @param merge whether to merge the integer regexp example file with the current session. See {@link com.liferay.portal.service.persistence.BatchSession#update(com.liferay.portal.kernel.dao.orm.Session, com.liferay.portal.model.BaseModel, boolean)} for an explanation.
	* @return the integer regexp example file that was updated
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile updateintegerRegexpExampleFile(
		org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile integerRegexpExampleFile,
		boolean merge)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService()
				   .updateintegerRegexpExampleFile(integerRegexpExampleFile,
			merge);
	}

	public static java.util.List findAllInUser(long userId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().findAllInUser(userId);
	}

	public static java.util.List findAllInUser(long userId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().findAllInUser(userId, orderByComparator);
	}

	public static java.util.List findAllInGroup(long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().findAllInGroup(groupId);
	}

	public static java.util.List findAllInGroup(long groupId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().findAllInGroup(groupId, orderByComparator);
	}

	public static java.util.List findAllInUserAndGroup(long userId, long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService().findAllInUserAndGroup(userId, groupId);
	}

	public static java.util.List findAllInUserAndGroup(long userId,
		long groupId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getService()
				   .findAllInUserAndGroup(userId, groupId, orderByComparator);
	}

	public static void remove(
		org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile fileobj)
		throws com.liferay.portal.kernel.exception.SystemException {
		getService().remove(fileobj);
	}

	public static void clearService() {
		_service = null;
	}

	public static integerRegexpExampleFileLocalService getService() {
		if (_service == null) {
			Object obj = PortletBeanLocatorUtil.locate(ClpSerializer.SERVLET_CONTEXT_NAME,
					integerRegexpExampleFileLocalService.class.getName());
			ClassLoader portletClassLoader = (ClassLoader)PortletBeanLocatorUtil.locate(ClpSerializer.SERVLET_CONTEXT_NAME,
					"portletClassLoader");

			ClassLoaderProxy classLoaderProxy = new ClassLoaderProxy(obj,
					portletClassLoader);

			_service = new integerRegexpExampleFileLocalServiceClp(classLoaderProxy);

			ClpSerializer.setClassLoader(portletClassLoader);
		}

		return _service;
	}

	public void setService(integerRegexpExampleFileLocalService service) {
		_service = service;
	}

	private static integerRegexpExampleFileLocalService _service;
}