/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package org.xmlportletfactory.portal.goodclient.service;

/**
 * <p>
 * This class is a wrapper for {@link integerRegexpExampleFileLocalService}.
 * </p>
 *
 * @author    Jack A. Rider
 * @see       integerRegexpExampleFileLocalService
 * @generated
 */
public class integerRegexpExampleFileLocalServiceWrapper
	implements integerRegexpExampleFileLocalService {
	public integerRegexpExampleFileLocalServiceWrapper(
		integerRegexpExampleFileLocalService integerRegexpExampleFileLocalService) {
		_integerRegexpExampleFileLocalService = integerRegexpExampleFileLocalService;
	}

	/**
	* Adds the integer regexp example file to the database. Also notifies the appropriate model listeners.
	*
	* @param integerRegexpExampleFile the integer regexp example file to add
	* @return the integer regexp example file that was added
	* @throws SystemException if a system exception occurred
	*/
	public org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile addintegerRegexpExampleFile(
		org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile integerRegexpExampleFile)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.addintegerRegexpExampleFile(integerRegexpExampleFile);
	}

	/**
	* Creates a new integer regexp example file with the primary key. Does not add the integer regexp example file to the database.
	*
	* @param exampleId the primary key for the new integer regexp example file
	* @return the new integer regexp example file
	*/
	public org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile createintegerRegexpExampleFile(
		long exampleId) {
		return _integerRegexpExampleFileLocalService.createintegerRegexpExampleFile(exampleId);
	}

	/**
	* Deletes the integer regexp example file with the primary key from the database. Also notifies the appropriate model listeners.
	*
	* @param exampleId the primary key of the integer regexp example file to delete
	* @throws PortalException if a integer regexp example file with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public void deleteintegerRegexpExampleFile(long exampleId)
		throws com.liferay.portal.kernel.exception.PortalException,
			com.liferay.portal.kernel.exception.SystemException {
		_integerRegexpExampleFileLocalService.deleteintegerRegexpExampleFile(exampleId);
	}

	/**
	* Deletes the integer regexp example file from the database. Also notifies the appropriate model listeners.
	*
	* @param integerRegexpExampleFile the integer regexp example file to delete
	* @throws SystemException if a system exception occurred
	*/
	public void deleteintegerRegexpExampleFile(
		org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile integerRegexpExampleFile)
		throws com.liferay.portal.kernel.exception.SystemException {
		_integerRegexpExampleFileLocalService.deleteintegerRegexpExampleFile(integerRegexpExampleFile);
	}

	/**
	* Performs a dynamic query on the database and returns the matching rows.
	*
	* @param dynamicQuery the dynamic query to search with
	* @return the matching rows
	* @throws SystemException if a system exception occurred
	*/
	@SuppressWarnings("rawtypes")
	public java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.dynamicQuery(dynamicQuery);
	}

	/**
	* Performs a dynamic query on the database and returns a range of the matching rows.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param dynamicQuery the dynamic query to search with
	* @param start the lower bound of the range of model instances to return
	* @param end the upper bound of the range of model instances to return (not inclusive)
	* @return the range of matching rows
	* @throws SystemException if a system exception occurred
	*/
	@SuppressWarnings("rawtypes")
	public java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.dynamicQuery(dynamicQuery,
			start, end);
	}

	/**
	* Performs a dynamic query on the database and returns an ordered range of the matching rows.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param dynamicQuery the dynamic query to search with
	* @param start the lower bound of the range of model instances to return
	* @param end the upper bound of the range of model instances to return (not inclusive)
	* @param orderByComparator the comparator to order the results by
	* @return the ordered range of matching rows
	* @throws SystemException if a system exception occurred
	*/
	@SuppressWarnings("rawtypes")
	public java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.dynamicQuery(dynamicQuery,
			start, end, orderByComparator);
	}

	/**
	* Counts the number of rows that match the dynamic query.
	*
	* @param dynamicQuery the dynamic query to search with
	* @return the number of rows that match the dynamic query
	* @throws SystemException if a system exception occurred
	*/
	public long dynamicQueryCount(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.dynamicQueryCount(dynamicQuery);
	}

	/**
	* Gets the integer regexp example file with the primary key.
	*
	* @param exampleId the primary key of the integer regexp example file to get
	* @return the integer regexp example file
	* @throws PortalException if a integer regexp example file with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile getintegerRegexpExampleFile(
		long exampleId)
		throws com.liferay.portal.kernel.exception.PortalException,
			com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.getintegerRegexpExampleFile(exampleId);
	}

	/**
	* Gets a range of all the integer regexp example files.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @return the range of integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> getintegerRegexpExampleFiles(
		int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.getintegerRegexpExampleFiles(start,
			end);
	}

	/**
	* Gets the number of integer regexp example files.
	*
	* @return the number of integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public int getintegerRegexpExampleFilesCount()
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.getintegerRegexpExampleFilesCount();
	}

	/**
	* Updates the integer regexp example file in the database. Also notifies the appropriate model listeners.
	*
	* @param integerRegexpExampleFile the integer regexp example file to update
	* @return the integer regexp example file that was updated
	* @throws SystemException if a system exception occurred
	*/
	public org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile updateintegerRegexpExampleFile(
		org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile integerRegexpExampleFile)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.updateintegerRegexpExampleFile(integerRegexpExampleFile);
	}

	/**
	* Updates the integer regexp example file in the database. Also notifies the appropriate model listeners.
	*
	* @param integerRegexpExampleFile the integer regexp example file to update
	* @param merge whether to merge the integer regexp example file with the current session. See {@link com.liferay.portal.service.persistence.BatchSession#update(com.liferay.portal.kernel.dao.orm.Session, com.liferay.portal.model.BaseModel, boolean)} for an explanation.
	* @return the integer regexp example file that was updated
	* @throws SystemException if a system exception occurred
	*/
	public org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile updateintegerRegexpExampleFile(
		org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile integerRegexpExampleFile,
		boolean merge)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.updateintegerRegexpExampleFile(integerRegexpExampleFile,
			merge);
	}

	public java.util.List findAllInUser(long userId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.findAllInUser(userId);
	}

	public java.util.List findAllInUser(long userId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.findAllInUser(userId,
			orderByComparator);
	}

	public java.util.List findAllInGroup(long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.findAllInGroup(groupId);
	}

	public java.util.List findAllInGroup(long groupId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.findAllInGroup(groupId,
			orderByComparator);
	}

	public java.util.List findAllInUserAndGroup(long userId, long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.findAllInUserAndGroup(userId,
			groupId);
	}

	public java.util.List findAllInUserAndGroup(long userId, long groupId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _integerRegexpExampleFileLocalService.findAllInUserAndGroup(userId,
			groupId, orderByComparator);
	}

	public void remove(
		org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile fileobj)
		throws com.liferay.portal.kernel.exception.SystemException {
		_integerRegexpExampleFileLocalService.remove(fileobj);
	}

	public integerRegexpExampleFileLocalService getWrappedintegerRegexpExampleFileLocalService() {
		return _integerRegexpExampleFileLocalService;
	}

	private integerRegexpExampleFileLocalService _integerRegexpExampleFileLocalService;
}