/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package org.xmlportletfactory.portal.goodclient.service.persistence;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.dao.orm.DynamicQuery;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.util.OrderByComparator;
import com.liferay.portal.service.ServiceContext;

import org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile;

import java.util.List;

/**
 * The persistence utility for the integer regexp example file service. This utility wraps {@link integerRegexpExampleFilePersistenceImpl} and provides direct access to the database for CRUD operations. This utility should only be used by the service layer, as it must operate within a transaction. Never access this utility in a JSP, controller, model, or other front-end class.
 *
 * <p>
 * Never modify this class directly. Modify <code>service.xml</code> and rerun ServiceBuilder to regenerate this class.
 * </p>
 *
 * <p>
 * Caching information and settings can be found in <code>portal.properties</code>
 * </p>
 *
 * @author Jack A. Rider
 * @see integerRegexpExampleFilePersistence
 * @see integerRegexpExampleFilePersistenceImpl
 * @generated
 */
public class integerRegexpExampleFileUtil {
	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#clearCache()
	 */
	public static void clearCache() {
		getPersistence().clearCache();
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#clearCache(com.liferay.portal.model.BaseModel)
	 */
	public static void clearCache(
		integerRegexpExampleFile integerRegexpExampleFile) {
		getPersistence().clearCache(integerRegexpExampleFile);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#countWithDynamicQuery(DynamicQuery)
	 */
	public long countWithDynamicQuery(DynamicQuery dynamicQuery)
		throws SystemException {
		return getPersistence().countWithDynamicQuery(dynamicQuery);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery)
	 */
	public static List<integerRegexpExampleFile> findWithDynamicQuery(
		DynamicQuery dynamicQuery) throws SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery, int, int)
	 */
	public static List<integerRegexpExampleFile> findWithDynamicQuery(
		DynamicQuery dynamicQuery, int start, int end)
		throws SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery, start, end);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery, int, int, OrderByComparator)
	 */
	public static List<integerRegexpExampleFile> findWithDynamicQuery(
		DynamicQuery dynamicQuery, int start, int end,
		OrderByComparator orderByComparator) throws SystemException {
		return getPersistence()
				   .findWithDynamicQuery(dynamicQuery, start, end,
			orderByComparator);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#remove(com.liferay.portal.model.BaseModel)
	 */
	public static integerRegexpExampleFile remove(
		integerRegexpExampleFile integerRegexpExampleFile)
		throws SystemException {
		return getPersistence().remove(integerRegexpExampleFile);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#update(com.liferay.portal.model.BaseModel, boolean)
	 */
	public static integerRegexpExampleFile update(
		integerRegexpExampleFile integerRegexpExampleFile, boolean merge)
		throws SystemException {
		return getPersistence().update(integerRegexpExampleFile, merge);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#update(com.liferay.portal.model.BaseModel, boolean, ServiceContext)
	 */
	public static integerRegexpExampleFile update(
		integerRegexpExampleFile integerRegexpExampleFile, boolean merge,
		ServiceContext serviceContext) throws SystemException {
		return getPersistence()
				   .update(integerRegexpExampleFile, merge, serviceContext);
	}

	/**
	* Caches the integer regexp example file in the entity cache if it is enabled.
	*
	* @param integerRegexpExampleFile the integer regexp example file to cache
	*/
	public static void cacheResult(
		org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile integerRegexpExampleFile) {
		getPersistence().cacheResult(integerRegexpExampleFile);
	}

	/**
	* Caches the integer regexp example files in the entity cache if it is enabled.
	*
	* @param integerRegexpExampleFiles the integer regexp example files to cache
	*/
	public static void cacheResult(
		java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> integerRegexpExampleFiles) {
		getPersistence().cacheResult(integerRegexpExampleFiles);
	}

	/**
	* Creates a new integer regexp example file with the primary key. Does not add the integer regexp example file to the database.
	*
	* @param exampleId the primary key for the new integer regexp example file
	* @return the new integer regexp example file
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile create(
		long exampleId) {
		return getPersistence().create(exampleId);
	}

	/**
	* Removes the integer regexp example file with the primary key from the database. Also notifies the appropriate model listeners.
	*
	* @param exampleId the primary key of the integer regexp example file to remove
	* @return the integer regexp example file that was removed
	* @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a integer regexp example file with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile remove(
		long exampleId)
		throws com.liferay.portal.kernel.exception.SystemException,
			org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException {
		return getPersistence().remove(exampleId);
	}

	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile updateImpl(
		org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile integerRegexpExampleFile,
		boolean merge)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().updateImpl(integerRegexpExampleFile, merge);
	}

	/**
	* Finds the integer regexp example file with the primary key or throws a {@link org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException} if it could not be found.
	*
	* @param exampleId the primary key of the integer regexp example file to find
	* @return the integer regexp example file
	* @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a integer regexp example file with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile findByPrimaryKey(
		long exampleId)
		throws com.liferay.portal.kernel.exception.SystemException,
			org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException {
		return getPersistence().findByPrimaryKey(exampleId);
	}

	/**
	* Finds the integer regexp example file with the primary key or returns <code>null</code> if it could not be found.
	*
	* @param exampleId the primary key of the integer regexp example file to find
	* @return the integer regexp example file, or <code>null</code> if a integer regexp example file with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile fetchByPrimaryKey(
		long exampleId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().fetchByPrimaryKey(exampleId);
	}

	/**
	* Finds all the integer regexp example files where groupId = &#63;.
	*
	* @param groupId the group id to search with
	* @return the matching integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> findByGroupId(
		long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findByGroupId(groupId);
	}

	/**
	* Finds a range of all the integer regexp example files where groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param groupId the group id to search with
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @return the range of matching integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> findByGroupId(
		long groupId, int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findByGroupId(groupId, start, end);
	}

	/**
	* Finds an ordered range of all the integer regexp example files where groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param groupId the group id to search with
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @param orderByComparator the comparator to order the results by
	* @return the ordered range of matching integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> findByGroupId(
		long groupId, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .findByGroupId(groupId, start, end, orderByComparator);
	}

	/**
	* Finds the first integer regexp example file in the ordered set where groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param groupId the group id to search with
	* @param orderByComparator the comparator to order the set by
	* @return the first matching integer regexp example file
	* @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a matching integer regexp example file could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile findByGroupId_First(
		long groupId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException {
		return getPersistence().findByGroupId_First(groupId, orderByComparator);
	}

	/**
	* Finds the last integer regexp example file in the ordered set where groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param groupId the group id to search with
	* @param orderByComparator the comparator to order the set by
	* @return the last matching integer regexp example file
	* @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a matching integer regexp example file could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile findByGroupId_Last(
		long groupId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException {
		return getPersistence().findByGroupId_Last(groupId, orderByComparator);
	}

	/**
	* Finds the integer regexp example files before and after the current integer regexp example file in the ordered set where groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param exampleId the primary key of the current integer regexp example file
	* @param groupId the group id to search with
	* @param orderByComparator the comparator to order the set by
	* @return the previous, current, and next integer regexp example file
	* @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a integer regexp example file with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile[] findByGroupId_PrevAndNext(
		long exampleId, long groupId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException {
		return getPersistence()
				   .findByGroupId_PrevAndNext(exampleId, groupId,
			orderByComparator);
	}

	/**
	* Filters by the user's permissions and finds all the integer regexp example files where groupId = &#63;.
	*
	* @param groupId the group id to search with
	* @return the matching integer regexp example files that the user has permission to view
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> filterFindByGroupId(
		long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().filterFindByGroupId(groupId);
	}

	/**
	* Filters by the user's permissions and finds a range of all the integer regexp example files where groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param groupId the group id to search with
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @return the range of matching integer regexp example files that the user has permission to view
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> filterFindByGroupId(
		long groupId, int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().filterFindByGroupId(groupId, start, end);
	}

	/**
	* Filters by the user's permissions and finds an ordered range of all the integer regexp example files where groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param groupId the group id to search with
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @param orderByComparator the comparator to order the results by
	* @return the ordered range of matching integer regexp example files that the user has permission to view
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> filterFindByGroupId(
		long groupId, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .filterFindByGroupId(groupId, start, end, orderByComparator);
	}

	/**
	* Finds all the integer regexp example files where userId = &#63;.
	*
	* @param userId the user id to search with
	* @return the matching integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> findByUserId(
		long userId) throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findByUserId(userId);
	}

	/**
	* Finds a range of all the integer regexp example files where userId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param userId the user id to search with
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @return the range of matching integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> findByUserId(
		long userId, int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findByUserId(userId, start, end);
	}

	/**
	* Finds an ordered range of all the integer regexp example files where userId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param userId the user id to search with
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @param orderByComparator the comparator to order the results by
	* @return the ordered range of matching integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> findByUserId(
		long userId, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .findByUserId(userId, start, end, orderByComparator);
	}

	/**
	* Finds the first integer regexp example file in the ordered set where userId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param userId the user id to search with
	* @param orderByComparator the comparator to order the set by
	* @return the first matching integer regexp example file
	* @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a matching integer regexp example file could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile findByUserId_First(
		long userId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException {
		return getPersistence().findByUserId_First(userId, orderByComparator);
	}

	/**
	* Finds the last integer regexp example file in the ordered set where userId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param userId the user id to search with
	* @param orderByComparator the comparator to order the set by
	* @return the last matching integer regexp example file
	* @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a matching integer regexp example file could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile findByUserId_Last(
		long userId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException {
		return getPersistence().findByUserId_Last(userId, orderByComparator);
	}

	/**
	* Finds the integer regexp example files before and after the current integer regexp example file in the ordered set where userId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param exampleId the primary key of the current integer regexp example file
	* @param userId the user id to search with
	* @param orderByComparator the comparator to order the set by
	* @return the previous, current, and next integer regexp example file
	* @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a integer regexp example file with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile[] findByUserId_PrevAndNext(
		long exampleId, long userId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException {
		return getPersistence()
				   .findByUserId_PrevAndNext(exampleId, userId,
			orderByComparator);
	}

	/**
	* Finds all the integer regexp example files where userId = &#63; and groupId = &#63;.
	*
	* @param userId the user id to search with
	* @param groupId the group id to search with
	* @return the matching integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> findByUserIdGroupId(
		long userId, long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findByUserIdGroupId(userId, groupId);
	}

	/**
	* Finds a range of all the integer regexp example files where userId = &#63; and groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param userId the user id to search with
	* @param groupId the group id to search with
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @return the range of matching integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> findByUserIdGroupId(
		long userId, long groupId, int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findByUserIdGroupId(userId, groupId, start, end);
	}

	/**
	* Finds an ordered range of all the integer regexp example files where userId = &#63; and groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param userId the user id to search with
	* @param groupId the group id to search with
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @param orderByComparator the comparator to order the results by
	* @return the ordered range of matching integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> findByUserIdGroupId(
		long userId, long groupId, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .findByUserIdGroupId(userId, groupId, start, end,
			orderByComparator);
	}

	/**
	* Finds the first integer regexp example file in the ordered set where userId = &#63; and groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param userId the user id to search with
	* @param groupId the group id to search with
	* @param orderByComparator the comparator to order the set by
	* @return the first matching integer regexp example file
	* @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a matching integer regexp example file could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile findByUserIdGroupId_First(
		long userId, long groupId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException {
		return getPersistence()
				   .findByUserIdGroupId_First(userId, groupId, orderByComparator);
	}

	/**
	* Finds the last integer regexp example file in the ordered set where userId = &#63; and groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param userId the user id to search with
	* @param groupId the group id to search with
	* @param orderByComparator the comparator to order the set by
	* @return the last matching integer regexp example file
	* @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a matching integer regexp example file could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile findByUserIdGroupId_Last(
		long userId, long groupId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException {
		return getPersistence()
				   .findByUserIdGroupId_Last(userId, groupId, orderByComparator);
	}

	/**
	* Finds the integer regexp example files before and after the current integer regexp example file in the ordered set where userId = &#63; and groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param exampleId the primary key of the current integer regexp example file
	* @param userId the user id to search with
	* @param groupId the group id to search with
	* @param orderByComparator the comparator to order the set by
	* @return the previous, current, and next integer regexp example file
	* @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a integer regexp example file with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile[] findByUserIdGroupId_PrevAndNext(
		long exampleId, long userId, long groupId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException {
		return getPersistence()
				   .findByUserIdGroupId_PrevAndNext(exampleId, userId, groupId,
			orderByComparator);
	}

	/**
	* Filters by the user's permissions and finds all the integer regexp example files where userId = &#63; and groupId = &#63;.
	*
	* @param userId the user id to search with
	* @param groupId the group id to search with
	* @return the matching integer regexp example files that the user has permission to view
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> filterFindByUserIdGroupId(
		long userId, long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().filterFindByUserIdGroupId(userId, groupId);
	}

	/**
	* Filters by the user's permissions and finds a range of all the integer regexp example files where userId = &#63; and groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param userId the user id to search with
	* @param groupId the group id to search with
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @return the range of matching integer regexp example files that the user has permission to view
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> filterFindByUserIdGroupId(
		long userId, long groupId, int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .filterFindByUserIdGroupId(userId, groupId, start, end);
	}

	/**
	* Filters by the user's permissions and finds an ordered range of all the integer regexp example files where userId = &#63; and groupId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param userId the user id to search with
	* @param groupId the group id to search with
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @param orderByComparator the comparator to order the results by
	* @return the ordered range of matching integer regexp example files that the user has permission to view
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> filterFindByUserIdGroupId(
		long userId, long groupId, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .filterFindByUserIdGroupId(userId, groupId, start, end,
			orderByComparator);
	}

	/**
	* Finds all the integer regexp example files.
	*
	* @return the integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> findAll()
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findAll();
	}

	/**
	* Finds a range of all the integer regexp example files.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @return the range of integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> findAll(
		int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findAll(start, end);
	}

	/**
	* Finds an ordered range of all the integer regexp example files.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param start the lower bound of the range of integer regexp example files to return
	* @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	* @param orderByComparator the comparator to order the results by
	* @return the ordered range of integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile> findAll(
		int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findAll(start, end, orderByComparator);
	}

	/**
	* Removes all the integer regexp example files where groupId = &#63; from the database.
	*
	* @param groupId the group id to search with
	* @throws SystemException if a system exception occurred
	*/
	public static void removeByGroupId(long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		getPersistence().removeByGroupId(groupId);
	}

	/**
	* Removes all the integer regexp example files where userId = &#63; from the database.
	*
	* @param userId the user id to search with
	* @throws SystemException if a system exception occurred
	*/
	public static void removeByUserId(long userId)
		throws com.liferay.portal.kernel.exception.SystemException {
		getPersistence().removeByUserId(userId);
	}

	/**
	* Removes all the integer regexp example files where userId = &#63; and groupId = &#63; from the database.
	*
	* @param userId the user id to search with
	* @param groupId the group id to search with
	* @throws SystemException if a system exception occurred
	*/
	public static void removeByUserIdGroupId(long userId, long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		getPersistence().removeByUserIdGroupId(userId, groupId);
	}

	/**
	* Removes all the integer regexp example files from the database.
	*
	* @throws SystemException if a system exception occurred
	*/
	public static void removeAll()
		throws com.liferay.portal.kernel.exception.SystemException {
		getPersistence().removeAll();
	}

	/**
	* Counts all the integer regexp example files where groupId = &#63;.
	*
	* @param groupId the group id to search with
	* @return the number of matching integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static int countByGroupId(long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().countByGroupId(groupId);
	}

	/**
	* Filters by the user's permissions and counts all the integer regexp example files where groupId = &#63;.
	*
	* @param groupId the group id to search with
	* @return the number of matching integer regexp example files that the user has permission to view
	* @throws SystemException if a system exception occurred
	*/
	public static int filterCountByGroupId(long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().filterCountByGroupId(groupId);
	}

	/**
	* Counts all the integer regexp example files where userId = &#63;.
	*
	* @param userId the user id to search with
	* @return the number of matching integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static int countByUserId(long userId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().countByUserId(userId);
	}

	/**
	* Counts all the integer regexp example files where userId = &#63; and groupId = &#63;.
	*
	* @param userId the user id to search with
	* @param groupId the group id to search with
	* @return the number of matching integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static int countByUserIdGroupId(long userId, long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().countByUserIdGroupId(userId, groupId);
	}

	/**
	* Filters by the user's permissions and counts all the integer regexp example files where userId = &#63; and groupId = &#63;.
	*
	* @param userId the user id to search with
	* @param groupId the group id to search with
	* @return the number of matching integer regexp example files that the user has permission to view
	* @throws SystemException if a system exception occurred
	*/
	public static int filterCountByUserIdGroupId(long userId, long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().filterCountByUserIdGroupId(userId, groupId);
	}

	/**
	* Counts all the integer regexp example files.
	*
	* @return the number of integer regexp example files
	* @throws SystemException if a system exception occurred
	*/
	public static int countAll()
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().countAll();
	}

	public static integerRegexpExampleFilePersistence getPersistence() {
		if (_persistence == null) {
			_persistence = (integerRegexpExampleFilePersistence)PortletBeanLocatorUtil.locate(org.xmlportletfactory.portal.goodclient.service.ClpSerializer.SERVLET_CONTEXT_NAME,
					integerRegexpExampleFilePersistence.class.getName());
		}

		return _persistence;
	}

	public void setPersistence(integerRegexpExampleFilePersistence persistence) {
		_persistence = persistence;
	}

	private static integerRegexpExampleFilePersistence _persistence;
}