/**
 *     Copyright (C) 2009-2011  Jack A. Rider All rights reserved.
 * 
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 */
 
 package org.xmlportletfactory.portal.goodclient;

import java.util.Date;

import com.liferay.portal.kernel.util.OrderByComparator;
import org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile;
			
public class IntegerRegexpExampleComparator {

	public static String ORDER_BY_ASC =  " ASC";
	public static String ORDER_BY_DESC = " DESC";

	public static OrderByComparator getIntegerRegexpExampleOrderByComparator(String orderByCol,String orderByType) {

		boolean orderByAsc = false;
		if(orderByType==null) {
			orderByAsc = true;
		} else if (orderByType.equalsIgnoreCase(ORDER_BY_ASC.trim())){
			orderByAsc = true;
		}

		OrderByComparator orderByComparator = null;
			if(orderByCol==null) {
			orderByComparator = new OrderByIntegerRegexpExampleExampleId(orderByAsc);
			} else if(orderByCol.equals("exampleId")){
			orderByComparator = new OrderByIntegerRegexpExampleExampleId(orderByAsc);
			} else if(orderByCol.equals("exampleDescription")){
			orderByComparator = new OrderByIntegerRegexpExampleExampleDescription(orderByAsc);
			} else if(orderByCol.equals("integerField")){
			orderByComparator = new OrderByIntegerRegexpExampleIntegerField(orderByAsc);
	    }
	    return orderByComparator;
	}
}

class OrderByIntegerRegexpExampleExampleId extends OrderByComparator {
	public static String ORDER_BY_FIELD = "exampleId";

	public OrderByIntegerRegexpExampleExampleId(){
		this(false);
	}

	public OrderByIntegerRegexpExampleExampleId(boolean asc){
		_asc = asc;
	}

	@Override
	public int compare(Object o1,Object o2) {

		Long lo1 = 0L;
		Long lo2 = 0L;

		if(o1!=null) lo1 = (Long)o1;
		if(o2!=null) lo2 = (Long)o1;

		return lo1.compareTo(lo2);
	}

	@Override
	public String[] getOrderByFields() {
		String[] orderByFields = new String[1];
		orderByFields[0] = ORDER_BY_FIELD;
		return orderByFields;
	}

	@Override
	public String getOrderBy() {
		if(_asc) return IntegerRegexpExampleComparator.ORDER_BY_ASC;
		else return IntegerRegexpExampleComparator.ORDER_BY_DESC;
	}

	private boolean _asc;
}

class OrderByIntegerRegexpExampleExampleDescription extends OrderByComparator {
	public static String ORDER_BY_FIELD = "exampleDescription";

	public OrderByIntegerRegexpExampleExampleDescription(){
		this(false);
	}

	public OrderByIntegerRegexpExampleExampleDescription(boolean asc){
		_asc = asc;
	}

	@Override
	public int compare(Object o1,Object o2) {

		String str1 = "";
		String str2 = "";

		if(str1!=null) str1 = (String)o1;
		if(str2!=null) str2 = (String)o1;

		return str1.compareTo(str2);
	}

	@Override
	public String[] getOrderByFields() {
		String[] orderByFields = new String[1];
		orderByFields[0] = ORDER_BY_FIELD;
		return orderByFields;
	}

	@Override
	public String getOrderBy() {
		if(_asc) return IntegerRegexpExampleComparator.ORDER_BY_ASC;
		else return IntegerRegexpExampleComparator.ORDER_BY_DESC;
	}

	private boolean _asc;
}
class OrderByIntegerRegexpExampleIntegerField extends OrderByComparator {
	public static String ORDER_BY_FIELD = "integerField";

	public OrderByIntegerRegexpExampleIntegerField(){
		this(false);
	}

	public OrderByIntegerRegexpExampleIntegerField(boolean asc){
		_asc = asc;
	}

	@Override
	public int compare(Object o1,Object o2) {

		int i1 = 0;
		int i2 = 0;

		if(o1!=null) return 1;
		else if (i1 < i2) return -1;
		return 0;
	}

	@Override
	public String[] getOrderByFields() {
		String[] orderByFields = new String[1];
		orderByFields[0] = ORDER_BY_FIELD;
		return orderByFields;
	}

	@Override
	public String getOrderBy() {
		if(_asc) return IntegerRegexpExampleComparator.ORDER_BY_ASC;
		else return IntegerRegexpExampleComparator.ORDER_BY_DESC;
	}

	private boolean _asc;
}




