/**
 *     Copyright (C) 2009-2011  Jack A. Rider All rights reserved.
 * 
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 */
 
 package org.xmlportletfactory.portal.goodclient;

import java.io.File;
import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.text.ParseException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.Enumeration;
import java.util.List;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.Event;
import javax.portlet.EventRequest;
import javax.portlet.EventResponse;
import javax.portlet.PortletException;
import javax.portlet.PortletPreferences;
import javax.portlet.PortletRequestDispatcher;
import javax.portlet.PortletURL;
import javax.portlet.ProcessAction;
import javax.portlet.ProcessEvent;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;
import javax.xml.namespace.QName;

import org.apache.commons.fileupload.FileItem;
import org.apache.commons.fileupload.FileItemFactory;
import org.apache.commons.fileupload.FileUploadException;
import org.apache.commons.fileupload.disk.DiskFileItemFactory;
import org.apache.commons.fileupload.portlet.PortletFileUpload;

import org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile;
import org.xmlportletfactory.portal.goodclient.model.impl.integerRegexpExampleFileImpl;
import org.xmlportletfactory.portal.goodclient.service.integerRegexpExampleFileLocalServiceUtil;


import com.liferay.portal.kernel.cache.MultiVMPoolUtil;
import com.liferay.portal.kernel.dao.orm.Criterion;
import com.liferay.portal.kernel.dao.orm.DynamicQuery;
import com.liferay.portal.kernel.dao.orm.DynamicQueryFactoryUtil;
import com.liferay.portal.kernel.dao.orm.PropertyFactoryUtil;
import com.liferay.portal.kernel.dao.orm.RestrictionsFactoryUtil;
import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.kernel.servlet.SessionErrors;
import com.liferay.portal.kernel.servlet.SessionMessages;
import com.liferay.portal.kernel.util.OrderByComparator;
import com.liferay.portal.kernel.util.ParamUtil;
import com.liferay.portal.kernel.util.Validator;
import com.liferay.portal.kernel.util.WebKeys;
import com.liferay.portal.model.User;
import com.liferay.portal.security.permission.PermissionChecker;
import com.liferay.portal.service.ServiceContext;
import com.liferay.portal.service.ServiceContextFactory;
import com.liferay.portal.service.UserLocalServiceUtil;
import com.liferay.portal.theme.ThemeDisplay;
import com.liferay.portlet.documentlibrary.model.DLFileEntry;
import com.liferay.portlet.documentlibrary.model.DLFolder;
import com.liferay.portlet.documentlibrary.service.DLFileEntryLocalServiceUtil;
import com.liferay.portlet.documentlibrary.service.DLFolderLocalServiceUtil;
import com.liferay.portlet.imagegallery.model.IGFolder;
import com.liferay.portlet.imagegallery.model.IGImage;
import com.liferay.portlet.imagegallery.service.IGFolderLocalServiceUtil;
import com.liferay.portlet.imagegallery.service.IGImageLocalServiceUtil;
import com.liferay.util.bridges.mvc.MVCPortlet;

/**
 * Portlet implementation class IntegerRegexpExample
 */
public class IntegerRegexpExamplePortlet extends MVCPortlet {



	public void init() throws PortletException {

		// Edit Mode Pages
		editJSP = getInitParameter("edit-jsp");

		// Help Mode Pages
		helpJSP = getInitParameter("help-jsp");

		// View Mode Pages
		viewJSP = getInitParameter("view-jsp");

		// View Mode Edit integerRegexpExampleFile
		editintegerRegexpExampleFileJSP = getInitParameter("edit-integerRegexpExampleFile-jsp");
	}

	protected void include(String path, RenderRequest renderRequest,
			RenderResponse renderResponse) throws IOException, PortletException {

		PortletRequestDispatcher portletRequestDispatcher = getPortletContext()
				.getRequestDispatcher(path);

		if (portletRequestDispatcher == null) {
			// do nothing
			// _log.error(path + " is not a valid include");
		} else {
			portletRequestDispatcher.include(renderRequest, renderResponse);
		}
	}

	public void doView(RenderRequest renderRequest,
			RenderResponse renderResponse) throws IOException, PortletException {

		String jsp = (String) renderRequest.getParameter("view");
		if (jsp == null || jsp.equals("")) {
			showViewDefault(renderRequest, renderResponse);
		} else if (jsp.equalsIgnoreCase("editIntegerRegexpExample")) {
			try {
				showViewEditIntegerRegexpExample(renderRequest, renderResponse);
			} catch (Exception ex) {
				_log.debug(ex);
				try {
					showViewDefault(renderRequest, renderResponse);
				} catch (Exception ex1) {
					_log.debug(ex1);
				}
			}
		}
	}

	public void doEdit(RenderRequest renderRequest,
			RenderResponse renderResponse) throws IOException, PortletException {

		showEditDefault(renderRequest, renderResponse);
	}

	public void doHelp(RenderRequest renderRequest,
			RenderResponse renderResponse) throws IOException, PortletException {

		include(helpJSP, renderRequest, renderResponse);
	}

	@SuppressWarnings("unchecked")
	public void showViewDefault(RenderRequest renderRequest,
			RenderResponse renderResponse) throws IOException, PortletException {

		ThemeDisplay themeDisplay = (ThemeDisplay) renderRequest
				.getAttribute(WebKeys.THEME_DISPLAY);

		long groupId = themeDisplay.getScopeGroupId();

		PermissionChecker permissionChecker = themeDisplay
				.getPermissionChecker();

		boolean hasAddPermission = permissionChecker.hasPermission(groupId,
				"org.xmlportletfactory.portal.goodclient.model", groupId, "ADD_INTEGERREGEXPEXAMPLEFILE");

		List<integerRegexpExampleFile> tempResults = Collections.EMPTY_LIST;
		try {
			String orderByType = renderRequest.getParameter("orderByType");
			String orderByCol  = renderRequest.getParameter("orderByCol");
			OrderByComparator comparator = IntegerRegexpExampleComparator.getIntegerRegexpExampleOrderByComparator(orderByCol,orderByType);
			MultiVMPoolUtil.clear();

			String integerRegexpExampleFileFilter = ParamUtil.getString(renderRequest, "integerRegexpExampleFileFilter");
			if (integerRegexpExampleFileFilter.equalsIgnoreCase("")) {
				tempResults = integerRegexpExampleFileLocalServiceUtil.findAllInGroup(groupId, comparator);
			} else {
				DynamicQuery query = DynamicQueryFactoryUtil.forClass(integerRegexpExampleFile.class)
				.add(
					PropertyFactoryUtil.forName("exampleDescription").like("%"+ParamUtil.getString(renderRequest, "integerRegexpExampleFileFilter")+"%")
				);
				tempResults = integerRegexpExampleFileLocalServiceUtil.dynamicQuery(query, -1, -1, comparator);
			}
		
		} catch (Exception e) {
			_log.debug(e);
		}
		renderRequest.setAttribute("highlightRowWithKey", renderRequest.getParameter("highlightRowWithKey"));
		renderRequest.setAttribute("containerStart", renderRequest.getParameter("containerStart"));
		renderRequest.setAttribute("containerEnd", renderRequest.getParameter("containerEnd"));
		renderRequest.setAttribute("tempResults", tempResults);
		renderRequest.setAttribute("hasAddPermission", hasAddPermission);

		PortletURL addIntegerRegexpExampleURL = renderResponse.createActionURL();
		addIntegerRegexpExampleURL.setParameter("javax.portlet.action", "newIntegerRegexpExample");
		renderRequest.setAttribute("addIntegerRegexpExampleURL", addIntegerRegexpExampleURL.toString());

		PortletURL integerRegexpExampleFileFilterURL = renderResponse.createRenderURL();
		integerRegexpExampleFileFilterURL.setParameter("javax.portlet.action", "doView");
		renderRequest.setAttribute("integerRegexpExampleFileFilterURL", integerRegexpExampleFileFilterURL.toString());

		include(viewJSP, renderRequest, renderResponse);
	}

	public void showViewEditIntegerRegexpExample(RenderRequest renderRequest, RenderResponse renderResponse) throws Exception {

		SimpleDateFormat formatDia    = new SimpleDateFormat("dd");
		SimpleDateFormat formatMes    = new SimpleDateFormat("MM");
		SimpleDateFormat formatAno    = new SimpleDateFormat("yyyy");
		SimpleDateFormat formatHora   = new SimpleDateFormat("HH");
		SimpleDateFormat formatMinuto = new SimpleDateFormat("mm");

		PortletURL editIntegerRegexpExampleURL = renderResponse.createActionURL();
		String editType = (String) renderRequest.getParameter("editType");
		if (editType.equalsIgnoreCase("edit")) {
			editIntegerRegexpExampleURL.setParameter("javax.portlet.action", "updateIntegerRegexpExample");
			long exampleId = Long.parseLong(renderRequest.getParameter("exampleId"));
			integerRegexpExampleFile integerRegexpExample = integerRegexpExampleFileLocalServiceUtil.getintegerRegexpExampleFile(exampleId);
			String exampleDescription = integerRegexpExample.getExampleDescription()+"";
			renderRequest.setAttribute("exampleDescription", exampleDescription);
			String integerField = integerRegexpExample.getIntegerField()+"";
			renderRequest.setAttribute("integerField", integerField);
            renderRequest.setAttribute("integerRegexpExample", integerRegexpExample);
		} else {
			editIntegerRegexpExampleURL.setParameter("javax.portlet.action", "addIntegerRegexpExample");
			integerRegexpExampleFile errorIntegerRegexpExample = (integerRegexpExampleFile) renderRequest.getAttribute("errorIntegerRegexpExample");
			if (errorIntegerRegexpExample != null) {
				if (editType.equalsIgnoreCase("update")) {
					editIntegerRegexpExampleURL.setParameter("javax.portlet.action", "updateIntegerRegexpExample");
                }
				renderRequest.setAttribute("integerRegexpExample", errorIntegerRegexpExample);
			} else {
				integerRegexpExampleFileImpl blankIntegerRegexpExample = new integerRegexpExampleFileImpl();
				blankIntegerRegexpExample.setExampleId(0);
				blankIntegerRegexpExample.setExampleDescription("");
				blankIntegerRegexpExample.setIntegerField(0);
				renderRequest.setAttribute("integerRegexpExample", blankIntegerRegexpExample);
			}

		}

		ThemeDisplay themeDisplay = (ThemeDisplay) renderRequest.getAttribute(WebKeys.THEME_DISPLAY);


		renderRequest.setAttribute("editIntegerRegexpExampleURL", editIntegerRegexpExampleURL.toString());

		include(editintegerRegexpExampleFileJSP, renderRequest, renderResponse);
	}

	private String dateToJsp(ActionRequest request, Date date) {
		PortletPreferences prefs = request.getPreferences();
		return dateToJsp(prefs, date);
	}
	private String dateToJsp(RenderRequest request, Date date) {
		PortletPreferences prefs = request.getPreferences();
		return dateToJsp(prefs, date);
	}
	private String dateToJsp(PortletPreferences prefs, Date date) {
		SimpleDateFormat format = new SimpleDateFormat(prefs.getValue("integerRegexpExampleFile-date-format", "yyyy/MM/dd"));
		String stringDate = format.format(date);
		return stringDate;
	}
	private String dateTimeToJsp(Date date) {
		SimpleDateFormat format = new SimpleDateFormat("yyyy/MM/dd HH:mm");
		String stringDate = format.format(date);
		return stringDate;
	}

	public void showEditDefault(RenderRequest renderRequest,
			RenderResponse renderResponse) throws PortletException, IOException {

		include(editJSP, renderRequest, renderResponse);
	}

	/* Portlet Actions */

	@ProcessAction(name = "newIntegerRegexpExample")
	public void newIntegerRegexpExample(ActionRequest request, ActionResponse response) {
		response.setRenderParameter("view", "editIntegerRegexpExample");
		response.setRenderParameter("editType", "add");
	}

	@ProcessAction(name = "addIntegerRegexpExample")
	public void addIntegerRegexpExample(ActionRequest request, ActionResponse response) throws Exception {
            integerRegexpExampleFile integerRegexpExample = integerRegexpExampleFileFromRequest(request);
            ArrayList<String> errors = IntegerRegexpExampleValidator.validateIntegerRegexpExample(integerRegexpExample, request); 
            
            if (errors.isEmpty()) {
				integerRegexpExampleFileLocalServiceUtil.addintegerRegexpExampleFile(integerRegexpExample);
                MultiVMPoolUtil.clear();
                response.setRenderParameter("view", "");
                SessionMessages.add(request, "integerRegexpExampleFile-added-successfully");
            } else {
                for (String error : errors) {
                        SessionErrors.add(request, error);
                }
                response.setRenderParameter("view", "editIntegerRegexpExample");
                response.setRenderParameter("editType", "add");
                request.setAttribute("errorIntegerRegexpExample", integerRegexpExample);
            }
	}

	@ProcessAction(name = "eventIntegerRegexpExample")
	public void eventIntegerRegexpExample(ActionRequest request, ActionResponse response)
			throws Exception {
		long key = ParamUtil.getLong(request, "resourcePrimKey");
		int containerStart = ParamUtil.getInteger(request, "containerStart");
		int containerEnd = ParamUtil.getInteger(request, "containerEnd");
		if (Validator.isNotNull(key)) {
            response.setRenderParameter("highlightRowWithKey", Long.toString(key));
            response.setRenderParameter("containerStart", Integer.toString(containerStart));
            response.setRenderParameter("containerEnd", Integer.toString(containerEnd));
		}
	}

	@ProcessAction(name = "editIntegerRegexpExample")
	public void editIntegerRegexpExample(ActionRequest request, ActionResponse response)
			throws Exception {
		long key = ParamUtil.getLong(request, "resourcePrimKey");
		if (Validator.isNotNull(key)) {
			response.setRenderParameter("exampleId", Long.toString(key));
			response.setRenderParameter("view", "editIntegerRegexpExample");
			response.setRenderParameter("editType", "edit");
		}
	}

	@ProcessAction(name = "deleteIntegerRegexpExample")
	public void deleteIntegerRegexpExample(ActionRequest request, ActionResponse response)throws Exception {
		long id = ParamUtil.getLong(request, "resourcePrimKey");
		if (Validator.isNotNull(id)) {
			integerRegexpExampleFile integerRegexpExample = integerRegexpExampleFileLocalServiceUtil.getintegerRegexpExampleFile(id);
			integerRegexpExampleFileLocalServiceUtil.deleteintegerRegexpExampleFile(integerRegexpExample);
            MultiVMPoolUtil.clear();
			SessionMessages.add(request, "integerRegexpExampleFile-deleted-successfully");
		} else {
			SessionErrors.add(request, "integerRegexpExampleFile-error-deleting");
		}
	}

	@ProcessAction(name = "updateIntegerRegexpExample")
	public void updateIntegerRegexpExample(ActionRequest request, ActionResponse response) throws Exception {
            integerRegexpExampleFile integerRegexpExample = integerRegexpExampleFileFromRequest(request);
            ArrayList<String> errors = IntegerRegexpExampleValidator.validateIntegerRegexpExample(integerRegexpExample, request); 
            
            if (errors.isEmpty()) {
                integerRegexpExampleFileLocalServiceUtil.updateintegerRegexpExampleFile(integerRegexpExample);
                MultiVMPoolUtil.clear();
                response.setRenderParameter("view", "");
                SessionMessages.add(request, "integerRegexpExampleFile-updated-successfully");
            } else {
                for (String error : errors) {
                        SessionErrors.add(request, error);
                }
				response.setRenderParameter("exampleId)",Long.toString(integerRegexpExample.getPrimaryKey()));
				response.setRenderParameter("view", "editIntegerRegexpExample");
				response.setRenderParameter("editType", "update");
				request.setAttribute("errorIntegerRegexpExample", integerRegexpExample);
            }
        }

	@ProcessAction(name = "setIntegerRegexpExamplePref")
	public void setIntegerRegexpExamplePref(ActionRequest request, ActionResponse response) throws Exception {

		String rowsPerPage = ParamUtil.getString(request, "integerRegexpExampleFile-rows-per-page");
		String dateFormat = ParamUtil.getString(request, "integerRegexpExampleFile-date-format");
		String datetimeFormat = ParamUtil.getString(request, "integerRegexpExampleFile-datetime-format");

		ArrayList<String> errors = new ArrayList();
		if (IntegerRegexpExampleValidator.validateEditIntegerRegexpExample(rowsPerPage, dateFormat, datetimeFormat, errors)) {
			response.setRenderParameter("integerRegexpExampleFile-rows-per-page", "");
			response.setRenderParameter("integerRegexpExampleFile-date-format", "");
			response.setRenderParameter("integerRegexpExampleFile-datetime-format", "");

			PortletPreferences prefs = request.getPreferences();
			prefs.setValue("integerRegexpExampleFile-rows-per-page", rowsPerPage);
			prefs.setValue("integerRegexpExampleFile-date-format", dateFormat);
			prefs.setValue("integerRegexpExampleFile-datetime-format", datetimeFormat);
			prefs.store();

			SessionMessages.add(request, "integerRegexpExampleFile-prefs-success");
		}
	}

	private integerRegexpExampleFile integerRegexpExampleFileFromRequest(ActionRequest request) {
		ThemeDisplay themeDisplay = (ThemeDisplay) request.getAttribute(WebKeys.THEME_DISPLAY);
		integerRegexpExampleFileImpl integerRegexpExample = new integerRegexpExampleFileImpl();
        try {
            integerRegexpExample.setExampleId(ParamUtil.getLong(request, "exampleId"));
        } catch (Exception nfe) {
		    //Controled en Validator
        }
		integerRegexpExample.setExampleDescription(ParamUtil.getString(request, "exampleDescription"));
        try {
              integerRegexpExample.setIntegerField(ParamUtil.getInteger(request, "integerField"));
        } catch (Exception nfe) {
			//Controled en Validator
            integerRegexpExample.setIntegerField(0);
        }
		try {
		    integerRegexpExample.setPrimaryKey(ParamUtil.getLong(request,"resourcePrimKey"));
		} catch (NumberFormatException nfe) {
			//Controled en Validator
        }
		integerRegexpExample.setCompanyId(themeDisplay.getCompanyId());
		integerRegexpExample.setGroupId(themeDisplay.getScopeGroupId());
		integerRegexpExample.setUserId(themeDisplay.getUserId());
		return integerRegexpExample;
	}

	protected String editintegerRegexpExampleFileJSP;
	protected String editJSP;
	protected String helpJSP;
	protected String viewJSP;

	private static Log _log = LogFactoryUtil.getLog(IntegerRegexpExamplePortlet.class);

}
