/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package org.xmlportletfactory.portal.goodclient.model.impl;

import com.liferay.portal.kernel.bean.AutoEscapeBeanHandler;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.util.GetterUtil;
import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.model.impl.BaseModelImpl;
import com.liferay.portal.service.ServiceContext;
import com.liferay.portal.util.PortalUtil;

import com.liferay.portlet.expando.model.ExpandoBridge;
import com.liferay.portlet.expando.util.ExpandoBridgeFactoryUtil;

import org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile;
import org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFileModel;

import java.io.Serializable;

import java.lang.reflect.Proxy;

import java.sql.Types;

/**
 * The base model implementation for the integerRegexpExampleFile service. Represents a row in the &quot;xmlpfintegerregexpexample_integerRegexpExampleFile&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This implementation and its corresponding interface {@link org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFileModel} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link integerRegexpExampleFileImpl}.
 * </p>
 *
 * <p>
 * Never modify or reference this class directly. All methods that expect a integer regexp example file model instance should use the {@link org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile} interface instead.
 * </p>
 *
 * @author Jack A. Rider
 * @see integerRegexpExampleFileImpl
 * @see org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile
 * @see org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFileModel
 * @generated
 */
public class integerRegexpExampleFileModelImpl extends BaseModelImpl<integerRegexpExampleFile>
	implements integerRegexpExampleFileModel {
	public static final String TABLE_NAME = "xmlpfintegerregexpexample_integerRegexpExampleFile";
	public static final Object[][] TABLE_COLUMNS = {
			{ "exampleId", new Integer(Types.BIGINT) },
			{ "companyId", new Integer(Types.BIGINT) },
			{ "groupId", new Integer(Types.BIGINT) },
			{ "userId", new Integer(Types.BIGINT) },
			{ "exampleDescription", new Integer(Types.VARCHAR) },
			{ "integerField", new Integer(Types.INTEGER) }
		};
	public static final String TABLE_SQL_CREATE = "create table xmlpfintegerregexpexample_integerRegexpExampleFile (exampleId LONG not null primary key,companyId LONG,groupId LONG,userId LONG,exampleDescription VARCHAR(30) null,integerField INTEGER)";
	public static final String TABLE_SQL_DROP = "drop table xmlpfintegerregexpexample_integerRegexpExampleFile";
	public static final String DATA_SOURCE = "liferayDataSource";
	public static final String SESSION_FACTORY = "liferaySessionFactory";
	public static final String TX_MANAGER = "liferayTransactionManager";
	public static final boolean ENTITY_CACHE_ENABLED = GetterUtil.getBoolean(com.liferay.util.service.ServiceProps.get(
				"value.object.entity.cache.enabled.org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile"),
			true);
	public static final boolean FINDER_CACHE_ENABLED = GetterUtil.getBoolean(com.liferay.util.service.ServiceProps.get(
				"value.object.finder.cache.enabled.org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile"),
			true);
	public static final long LOCK_EXPIRATION_TIME = GetterUtil.getLong(com.liferay.util.service.ServiceProps.get(
				"lock.expiration.time.org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile"));

	public integerRegexpExampleFileModelImpl() {
	}

	public long getPrimaryKey() {
		return _exampleId;
	}

	public void setPrimaryKey(long pk) {
		setExampleId(pk);
	}

	public Serializable getPrimaryKeyObj() {
		return new Long(_exampleId);
	}

	public long getExampleId() {
		return _exampleId;
	}

	public void setExampleId(long exampleId) {
		_exampleId = exampleId;
	}

	public long getCompanyId() {
		return _companyId;
	}

	public void setCompanyId(long companyId) {
		_companyId = companyId;
	}

	public long getGroupId() {
		return _groupId;
	}

	public void setGroupId(long groupId) {
		_groupId = groupId;
	}

	public long getUserId() {
		return _userId;
	}

	public void setUserId(long userId) {
		_userId = userId;
	}

	public String getUserUuid() throws SystemException {
		return PortalUtil.getUserValue(getUserId(), "uuid", _userUuid);
	}

	public void setUserUuid(String userUuid) {
		_userUuid = userUuid;
	}

	public String getExampleDescription() {
		if (_exampleDescription == null) {
			return StringPool.BLANK;
		}
		else {
			return _exampleDescription;
		}
	}

	public void setExampleDescription(String exampleDescription) {
		_exampleDescription = exampleDescription;
	}

	public int getIntegerField() {
		return _integerField;
	}

	public void setIntegerField(int integerField) {
		_integerField = integerField;
	}

	public integerRegexpExampleFile toEscapedModel() {
		if (isEscapedModel()) {
			return (integerRegexpExampleFile)this;
		}
		else {
			return (integerRegexpExampleFile)Proxy.newProxyInstance(integerRegexpExampleFile.class.getClassLoader(),
				new Class[] { integerRegexpExampleFile.class },
				new AutoEscapeBeanHandler(this));
		}
	}

	public ExpandoBridge getExpandoBridge() {
		if (_expandoBridge == null) {
			_expandoBridge = ExpandoBridgeFactoryUtil.getExpandoBridge(getCompanyId(),
					integerRegexpExampleFile.class.getName(), getPrimaryKey());
		}

		return _expandoBridge;
	}

	public void setExpandoBridgeAttributes(ServiceContext serviceContext) {
		getExpandoBridge().setAttributes(serviceContext);
	}

	public Object clone() {
		integerRegexpExampleFileImpl integerRegexpExampleFileImpl = new integerRegexpExampleFileImpl();

		integerRegexpExampleFileImpl.setExampleId(getExampleId());

		integerRegexpExampleFileImpl.setCompanyId(getCompanyId());

		integerRegexpExampleFileImpl.setGroupId(getGroupId());

		integerRegexpExampleFileImpl.setUserId(getUserId());

		integerRegexpExampleFileImpl.setExampleDescription(getExampleDescription());

		integerRegexpExampleFileImpl.setIntegerField(getIntegerField());

		return integerRegexpExampleFileImpl;
	}

	public int compareTo(integerRegexpExampleFile integerRegexpExampleFile) {
		long pk = integerRegexpExampleFile.getPrimaryKey();

		if (getPrimaryKey() < pk) {
			return -1;
		}
		else if (getPrimaryKey() > pk) {
			return 1;
		}
		else {
			return 0;
		}
	}

	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}

		integerRegexpExampleFile integerRegexpExampleFile = null;

		try {
			integerRegexpExampleFile = (integerRegexpExampleFile)obj;
		}
		catch (ClassCastException cce) {
			return false;
		}

		long pk = integerRegexpExampleFile.getPrimaryKey();

		if (getPrimaryKey() == pk) {
			return true;
		}
		else {
			return false;
		}
	}

	public int hashCode() {
		return (int)getPrimaryKey();
	}

	public String toString() {
		StringBundler sb = new StringBundler(13);

		sb.append("{exampleId=");
		sb.append(getExampleId());
		sb.append(", companyId=");
		sb.append(getCompanyId());
		sb.append(", groupId=");
		sb.append(getGroupId());
		sb.append(", userId=");
		sb.append(getUserId());
		sb.append(", exampleDescription=");
		sb.append(getExampleDescription());
		sb.append(", integerField=");
		sb.append(getIntegerField());
		sb.append("}");

		return sb.toString();
	}

	public String toXmlString() {
		StringBundler sb = new StringBundler(22);

		sb.append("<model><model-name>");
		sb.append(
			"org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile");
		sb.append("</model-name>");

		sb.append(
			"<column><column-name>exampleId</column-name><column-value><![CDATA[");
		sb.append(getExampleId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>companyId</column-name><column-value><![CDATA[");
		sb.append(getCompanyId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>groupId</column-name><column-value><![CDATA[");
		sb.append(getGroupId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>userId</column-name><column-value><![CDATA[");
		sb.append(getUserId());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>exampleDescription</column-name><column-value><![CDATA[");
		sb.append(getExampleDescription());
		sb.append("]]></column-value></column>");
		sb.append(
			"<column><column-name>integerField</column-name><column-value><![CDATA[");
		sb.append(getIntegerField());
		sb.append("]]></column-value></column>");

		sb.append("</model>");

		return sb.toString();
	}

	private long _exampleId;
	private long _companyId;
	private long _groupId;
	private long _userId;
	private String _userUuid;
	private String _exampleDescription;
	private int _integerField;
	private transient ExpandoBridge _expandoBridge;
}