/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package org.xmlportletfactory.portal.goodclient.service.base;

import com.liferay.counter.service.CounterLocalService;

import com.liferay.portal.kernel.annotation.BeanReference;
import com.liferay.portal.kernel.dao.jdbc.SqlUpdate;
import com.liferay.portal.kernel.dao.jdbc.SqlUpdateFactoryUtil;
import com.liferay.portal.kernel.dao.orm.DynamicQuery;
import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.util.OrderByComparator;
import com.liferay.portal.service.ResourceLocalService;
import com.liferay.portal.service.ResourceService;
import com.liferay.portal.service.UserLocalService;
import com.liferay.portal.service.UserService;
import com.liferay.portal.service.persistence.ResourcePersistence;
import com.liferay.portal.service.persistence.UserPersistence;

import org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile;
import org.xmlportletfactory.portal.goodclient.service.integerRegexpExampleFileLocalService;
import org.xmlportletfactory.portal.goodclient.service.persistence.integerRegexpExampleFilePersistence;

import java.util.List;

import javax.sql.DataSource;

/**
 * The base implementation of the integer regexp example file local service.
 *
 * <p>
 * This implementation exists only as a container for the default service methods generated by ServiceBuilder. All custom service methods should be put in {@link org.xmlportletfactory.portal.goodclient.service.impl.integerRegexpExampleFileLocalServiceImpl}.
 * </p>
 *
 * <p>
 * Never modify or reference this class directly. Always use {@link org.xmlportletfactory.portal.goodclient.service.integerRegexpExampleFileLocalServiceUtil} to access the integer regexp example file local service.
 * </p>
 *
 * @author Jack A. Rider
 * @see org.xmlportletfactory.portal.goodclient.service.impl.integerRegexpExampleFileLocalServiceImpl
 * @see org.xmlportletfactory.portal.goodclient.service.integerRegexpExampleFileLocalServiceUtil
 * @generated
 */
public abstract class integerRegexpExampleFileLocalServiceBaseImpl
	implements integerRegexpExampleFileLocalService {
	/**
	 * Adds the integer regexp example file to the database. Also notifies the appropriate model listeners.
	 *
	 * @param integerRegexpExampleFile the integer regexp example file to add
	 * @return the integer regexp example file that was added
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile addintegerRegexpExampleFile(
		integerRegexpExampleFile integerRegexpExampleFile)
		throws SystemException {
		integerRegexpExampleFile.setNew(true);

		return integerRegexpExampleFilePersistence.update(integerRegexpExampleFile,
			false);
	}

	/**
	 * Creates a new integer regexp example file with the primary key. Does not add the integer regexp example file to the database.
	 *
	 * @param exampleId the primary key for the new integer regexp example file
	 * @return the new integer regexp example file
	 */
	public integerRegexpExampleFile createintegerRegexpExampleFile(
		long exampleId) {
		return integerRegexpExampleFilePersistence.create(exampleId);
	}

	/**
	 * Deletes the integer regexp example file with the primary key from the database. Also notifies the appropriate model listeners.
	 *
	 * @param exampleId the primary key of the integer regexp example file to delete
	 * @throws PortalException if a integer regexp example file with the primary key could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public void deleteintegerRegexpExampleFile(long exampleId)
		throws PortalException, SystemException {
		integerRegexpExampleFilePersistence.remove(exampleId);
	}

	/**
	 * Deletes the integer regexp example file from the database. Also notifies the appropriate model listeners.
	 *
	 * @param integerRegexpExampleFile the integer regexp example file to delete
	 * @throws SystemException if a system exception occurred
	 */
	public void deleteintegerRegexpExampleFile(
		integerRegexpExampleFile integerRegexpExampleFile)
		throws SystemException {
		integerRegexpExampleFilePersistence.remove(integerRegexpExampleFile);
	}

	/**
	 * Performs a dynamic query on the database and returns the matching rows.
	 *
	 * @param dynamicQuery the dynamic query to search with
	 * @return the matching rows
	 * @throws SystemException if a system exception occurred
	 */
	@SuppressWarnings("rawtypes")
	public List dynamicQuery(DynamicQuery dynamicQuery)
		throws SystemException {
		return integerRegexpExampleFilePersistence.findWithDynamicQuery(dynamicQuery);
	}

	/**
	 * Performs a dynamic query on the database and returns a range of the matching rows.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param dynamicQuery the dynamic query to search with
	 * @param start the lower bound of the range of model instances to return
	 * @param end the upper bound of the range of model instances to return (not inclusive)
	 * @return the range of matching rows
	 * @throws SystemException if a system exception occurred
	 */
	@SuppressWarnings("rawtypes")
	public List dynamicQuery(DynamicQuery dynamicQuery, int start, int end)
		throws SystemException {
		return integerRegexpExampleFilePersistence.findWithDynamicQuery(dynamicQuery,
			start, end);
	}

	/**
	 * Performs a dynamic query on the database and returns an ordered range of the matching rows.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param dynamicQuery the dynamic query to search with
	 * @param start the lower bound of the range of model instances to return
	 * @param end the upper bound of the range of model instances to return (not inclusive)
	 * @param orderByComparator the comparator to order the results by
	 * @return the ordered range of matching rows
	 * @throws SystemException if a system exception occurred
	 */
	@SuppressWarnings("rawtypes")
	public List dynamicQuery(DynamicQuery dynamicQuery, int start, int end,
		OrderByComparator orderByComparator) throws SystemException {
		return integerRegexpExampleFilePersistence.findWithDynamicQuery(dynamicQuery,
			start, end, orderByComparator);
	}

	/**
	 * Counts the number of rows that match the dynamic query.
	 *
	 * @param dynamicQuery the dynamic query to search with
	 * @return the number of rows that match the dynamic query
	 * @throws SystemException if a system exception occurred
	 */
	public long dynamicQueryCount(DynamicQuery dynamicQuery)
		throws SystemException {
		return integerRegexpExampleFilePersistence.countWithDynamicQuery(dynamicQuery);
	}

	/**
	 * Gets the integer regexp example file with the primary key.
	 *
	 * @param exampleId the primary key of the integer regexp example file to get
	 * @return the integer regexp example file
	 * @throws PortalException if a integer regexp example file with the primary key could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile getintegerRegexpExampleFile(long exampleId)
		throws PortalException, SystemException {
		return integerRegexpExampleFilePersistence.findByPrimaryKey(exampleId);
	}

	/**
	 * Gets a range of all the integer regexp example files.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param start the lower bound of the range of integer regexp example files to return
	 * @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	 * @return the range of integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> getintegerRegexpExampleFiles(
		int start, int end) throws SystemException {
		return integerRegexpExampleFilePersistence.findAll(start, end);
	}

	/**
	 * Gets the number of integer regexp example files.
	 *
	 * @return the number of integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public int getintegerRegexpExampleFilesCount() throws SystemException {
		return integerRegexpExampleFilePersistence.countAll();
	}

	/**
	 * Updates the integer regexp example file in the database. Also notifies the appropriate model listeners.
	 *
	 * @param integerRegexpExampleFile the integer regexp example file to update
	 * @return the integer regexp example file that was updated
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile updateintegerRegexpExampleFile(
		integerRegexpExampleFile integerRegexpExampleFile)
		throws SystemException {
		integerRegexpExampleFile.setNew(false);

		return integerRegexpExampleFilePersistence.update(integerRegexpExampleFile,
			true);
	}

	/**
	 * Updates the integer regexp example file in the database. Also notifies the appropriate model listeners.
	 *
	 * @param integerRegexpExampleFile the integer regexp example file to update
	 * @param merge whether to merge the integer regexp example file with the current session. See {@link com.liferay.portal.service.persistence.BatchSession#update(com.liferay.portal.kernel.dao.orm.Session, com.liferay.portal.model.BaseModel, boolean)} for an explanation.
	 * @return the integer regexp example file that was updated
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile updateintegerRegexpExampleFile(
		integerRegexpExampleFile integerRegexpExampleFile, boolean merge)
		throws SystemException {
		integerRegexpExampleFile.setNew(false);

		return integerRegexpExampleFilePersistence.update(integerRegexpExampleFile,
			merge);
	}

	/**
	 * Gets the integer regexp example file local service.
	 *
	 * @return the integer regexp example file local service
	 */
	public integerRegexpExampleFileLocalService getintegerRegexpExampleFileLocalService() {
		return integerRegexpExampleFileLocalService;
	}

	/**
	 * Sets the integer regexp example file local service.
	 *
	 * @param integerRegexpExampleFileLocalService the integer regexp example file local service
	 */
	public void setintegerRegexpExampleFileLocalService(
		integerRegexpExampleFileLocalService integerRegexpExampleFileLocalService) {
		this.integerRegexpExampleFileLocalService = integerRegexpExampleFileLocalService;
	}

	/**
	 * Gets the integer regexp example file persistence.
	 *
	 * @return the integer regexp example file persistence
	 */
	public integerRegexpExampleFilePersistence getintegerRegexpExampleFilePersistence() {
		return integerRegexpExampleFilePersistence;
	}

	/**
	 * Sets the integer regexp example file persistence.
	 *
	 * @param integerRegexpExampleFilePersistence the integer regexp example file persistence
	 */
	public void setintegerRegexpExampleFilePersistence(
		integerRegexpExampleFilePersistence integerRegexpExampleFilePersistence) {
		this.integerRegexpExampleFilePersistence = integerRegexpExampleFilePersistence;
	}

	/**
	 * Gets the counter local service.
	 *
	 * @return the counter local service
	 */
	public CounterLocalService getCounterLocalService() {
		return counterLocalService;
	}

	/**
	 * Sets the counter local service.
	 *
	 * @param counterLocalService the counter local service
	 */
	public void setCounterLocalService(CounterLocalService counterLocalService) {
		this.counterLocalService = counterLocalService;
	}

	/**
	 * Gets the resource local service.
	 *
	 * @return the resource local service
	 */
	public ResourceLocalService getResourceLocalService() {
		return resourceLocalService;
	}

	/**
	 * Sets the resource local service.
	 *
	 * @param resourceLocalService the resource local service
	 */
	public void setResourceLocalService(
		ResourceLocalService resourceLocalService) {
		this.resourceLocalService = resourceLocalService;
	}

	/**
	 * Gets the resource remote service.
	 *
	 * @return the resource remote service
	 */
	public ResourceService getResourceService() {
		return resourceService;
	}

	/**
	 * Sets the resource remote service.
	 *
	 * @param resourceService the resource remote service
	 */
	public void setResourceService(ResourceService resourceService) {
		this.resourceService = resourceService;
	}

	/**
	 * Gets the resource persistence.
	 *
	 * @return the resource persistence
	 */
	public ResourcePersistence getResourcePersistence() {
		return resourcePersistence;
	}

	/**
	 * Sets the resource persistence.
	 *
	 * @param resourcePersistence the resource persistence
	 */
	public void setResourcePersistence(ResourcePersistence resourcePersistence) {
		this.resourcePersistence = resourcePersistence;
	}

	/**
	 * Gets the user local service.
	 *
	 * @return the user local service
	 */
	public UserLocalService getUserLocalService() {
		return userLocalService;
	}

	/**
	 * Sets the user local service.
	 *
	 * @param userLocalService the user local service
	 */
	public void setUserLocalService(UserLocalService userLocalService) {
		this.userLocalService = userLocalService;
	}

	/**
	 * Gets the user remote service.
	 *
	 * @return the user remote service
	 */
	public UserService getUserService() {
		return userService;
	}

	/**
	 * Sets the user remote service.
	 *
	 * @param userService the user remote service
	 */
	public void setUserService(UserService userService) {
		this.userService = userService;
	}

	/**
	 * Gets the user persistence.
	 *
	 * @return the user persistence
	 */
	public UserPersistence getUserPersistence() {
		return userPersistence;
	}

	/**
	 * Sets the user persistence.
	 *
	 * @param userPersistence the user persistence
	 */
	public void setUserPersistence(UserPersistence userPersistence) {
		this.userPersistence = userPersistence;
	}

	/**
	 * Performs an SQL query.
	 *
	 * @param sql the sql query to perform
	 */
	protected void runSQL(String sql) throws SystemException {
		try {
			DataSource dataSource = integerRegexpExampleFilePersistence.getDataSource();

			SqlUpdate sqlUpdate = SqlUpdateFactoryUtil.getSqlUpdate(dataSource,
					sql, new int[0]);

			sqlUpdate.update();
		}
		catch (Exception e) {
			throw new SystemException(e);
		}
	}

	@BeanReference(type = integerRegexpExampleFileLocalService.class)
	protected integerRegexpExampleFileLocalService integerRegexpExampleFileLocalService;
	@BeanReference(type = integerRegexpExampleFilePersistence.class)
	protected integerRegexpExampleFilePersistence integerRegexpExampleFilePersistence;
	@BeanReference(type = CounterLocalService.class)
	protected CounterLocalService counterLocalService;
	@BeanReference(type = ResourceLocalService.class)
	protected ResourceLocalService resourceLocalService;
	@BeanReference(type = ResourceService.class)
	protected ResourceService resourceService;
	@BeanReference(type = ResourcePersistence.class)
	protected ResourcePersistence resourcePersistence;
	@BeanReference(type = UserLocalService.class)
	protected UserLocalService userLocalService;
	@BeanReference(type = UserService.class)
	protected UserService userService;
	@BeanReference(type = UserPersistence.class)
	protected UserPersistence userPersistence;
}