/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package org.xmlportletfactory.portal.goodclient.service.persistence;

import com.liferay.portal.NoSuchModelException;
import com.liferay.portal.kernel.annotation.BeanReference;
import com.liferay.portal.kernel.cache.CacheRegistryUtil;
import com.liferay.portal.kernel.dao.orm.EntityCacheUtil;
import com.liferay.portal.kernel.dao.orm.FinderCacheUtil;
import com.liferay.portal.kernel.dao.orm.FinderPath;
import com.liferay.portal.kernel.dao.orm.Query;
import com.liferay.portal.kernel.dao.orm.QueryPos;
import com.liferay.portal.kernel.dao.orm.QueryUtil;
import com.liferay.portal.kernel.dao.orm.SQLQuery;
import com.liferay.portal.kernel.dao.orm.Session;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.kernel.util.GetterUtil;
import com.liferay.portal.kernel.util.InstanceFactory;
import com.liferay.portal.kernel.util.OrderByComparator;
import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.kernel.util.StringUtil;
import com.liferay.portal.model.ModelListener;
import com.liferay.portal.security.permission.InlineSQLHelperUtil;
import com.liferay.portal.service.persistence.BatchSessionUtil;
import com.liferay.portal.service.persistence.ResourcePersistence;
import com.liferay.portal.service.persistence.UserPersistence;
import com.liferay.portal.service.persistence.impl.BasePersistenceImpl;

import org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException;
import org.xmlportletfactory.portal.goodclient.model.impl.integerRegexpExampleFileImpl;
import org.xmlportletfactory.portal.goodclient.model.impl.integerRegexpExampleFileModelImpl;
import org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * The persistence implementation for the integer regexp example file service.
 *
 * <p>
 * Never modify or reference this class directly. Always use {@link integerRegexpExampleFileUtil} to access the integer regexp example file persistence. Modify <code>service.xml</code> and rerun ServiceBuilder to regenerate this class.
 * </p>
 *
 * <p>
 * Caching information and settings can be found in <code>portal.properties</code>
 * </p>
 *
 * @author Jack A. Rider
 * @see integerRegexpExampleFilePersistence
 * @see integerRegexpExampleFileUtil
 * @generated
 */
public class integerRegexpExampleFilePersistenceImpl extends BasePersistenceImpl<integerRegexpExampleFile>
	implements integerRegexpExampleFilePersistence {
	public static final String FINDER_CLASS_NAME_ENTITY = integerRegexpExampleFileImpl.class.getName();
	public static final String FINDER_CLASS_NAME_LIST = FINDER_CLASS_NAME_ENTITY +
		".List";
	public static final FinderPath FINDER_PATH_FIND_BY_GROUPID = new FinderPath(integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
			integerRegexpExampleFileModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "findByGroupId",
			new String[] {
				Long.class.getName(),
				
			"java.lang.Integer", "java.lang.Integer",
				"com.liferay.portal.kernel.util.OrderByComparator"
			});
	public static final FinderPath FINDER_PATH_COUNT_BY_GROUPID = new FinderPath(integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
			integerRegexpExampleFileModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "countByGroupId",
			new String[] { Long.class.getName() });
	public static final FinderPath FINDER_PATH_FIND_BY_USERID = new FinderPath(integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
			integerRegexpExampleFileModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "findByUserId",
			new String[] {
				Long.class.getName(),
				
			"java.lang.Integer", "java.lang.Integer",
				"com.liferay.portal.kernel.util.OrderByComparator"
			});
	public static final FinderPath FINDER_PATH_COUNT_BY_USERID = new FinderPath(integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
			integerRegexpExampleFileModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "countByUserId",
			new String[] { Long.class.getName() });
	public static final FinderPath FINDER_PATH_FIND_BY_USERIDGROUPID = new FinderPath(integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
			integerRegexpExampleFileModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "findByUserIdGroupId",
			new String[] {
				Long.class.getName(), Long.class.getName(),
				
			"java.lang.Integer", "java.lang.Integer",
				"com.liferay.portal.kernel.util.OrderByComparator"
			});
	public static final FinderPath FINDER_PATH_COUNT_BY_USERIDGROUPID = new FinderPath(integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
			integerRegexpExampleFileModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "countByUserIdGroupId",
			new String[] { Long.class.getName(), Long.class.getName() });
	public static final FinderPath FINDER_PATH_FIND_ALL = new FinderPath(integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
			integerRegexpExampleFileModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "findAll", new String[0]);
	public static final FinderPath FINDER_PATH_COUNT_ALL = new FinderPath(integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
			integerRegexpExampleFileModelImpl.FINDER_CACHE_ENABLED,
			FINDER_CLASS_NAME_LIST, "countAll", new String[0]);

	/**
	 * Caches the integer regexp example file in the entity cache if it is enabled.
	 *
	 * @param integerRegexpExampleFile the integer regexp example file to cache
	 */
	public void cacheResult(integerRegexpExampleFile integerRegexpExampleFile) {
		EntityCacheUtil.putResult(integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
			integerRegexpExampleFileImpl.class,
			integerRegexpExampleFile.getPrimaryKey(), integerRegexpExampleFile);
	}

	/**
	 * Caches the integer regexp example files in the entity cache if it is enabled.
	 *
	 * @param integerRegexpExampleFiles the integer regexp example files to cache
	 */
	public void cacheResult(
		List<integerRegexpExampleFile> integerRegexpExampleFiles) {
		for (integerRegexpExampleFile integerRegexpExampleFile : integerRegexpExampleFiles) {
			if (EntityCacheUtil.getResult(
						integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
						integerRegexpExampleFileImpl.class,
						integerRegexpExampleFile.getPrimaryKey(), this) == null) {
				cacheResult(integerRegexpExampleFile);
			}
		}
	}

	/**
	 * Clears the cache for all integer regexp example files.
	 *
	 * <p>
	 * The {@link com.liferay.portal.kernel.dao.orm.EntityCache} and {@link com.liferay.portal.kernel.dao.orm.FinderCache} are both cleared by this method.
	 * </p>
	 */
	public void clearCache() {
		CacheRegistryUtil.clear(integerRegexpExampleFileImpl.class.getName());
		EntityCacheUtil.clearCache(integerRegexpExampleFileImpl.class.getName());
		FinderCacheUtil.clearCache(FINDER_CLASS_NAME_ENTITY);
		FinderCacheUtil.clearCache(FINDER_CLASS_NAME_LIST);
	}

	/**
	 * Clears the cache for the integer regexp example file.
	 *
	 * <p>
	 * The {@link com.liferay.portal.kernel.dao.orm.EntityCache} and {@link com.liferay.portal.kernel.dao.orm.FinderCache} are both cleared by this method.
	 * </p>
	 */
	public void clearCache(integerRegexpExampleFile integerRegexpExampleFile) {
		EntityCacheUtil.removeResult(integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
			integerRegexpExampleFileImpl.class,
			integerRegexpExampleFile.getPrimaryKey());
	}

	/**
	 * Creates a new integer regexp example file with the primary key. Does not add the integer regexp example file to the database.
	 *
	 * @param exampleId the primary key for the new integer regexp example file
	 * @return the new integer regexp example file
	 */
	public integerRegexpExampleFile create(long exampleId) {
		integerRegexpExampleFile integerRegexpExampleFile = new integerRegexpExampleFileImpl();

		integerRegexpExampleFile.setNew(true);
		integerRegexpExampleFile.setPrimaryKey(exampleId);

		return integerRegexpExampleFile;
	}

	/**
	 * Removes the integer regexp example file with the primary key from the database. Also notifies the appropriate model listeners.
	 *
	 * @param primaryKey the primary key of the integer regexp example file to remove
	 * @return the integer regexp example file that was removed
	 * @throws com.liferay.portal.NoSuchModelException if a integer regexp example file with the primary key could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile remove(Serializable primaryKey)
		throws NoSuchModelException, SystemException {
		return remove(((Long)primaryKey).longValue());
	}

	/**
	 * Removes the integer regexp example file with the primary key from the database. Also notifies the appropriate model listeners.
	 *
	 * @param exampleId the primary key of the integer regexp example file to remove
	 * @return the integer regexp example file that was removed
	 * @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a integer regexp example file with the primary key could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile remove(long exampleId)
		throws NoSuchintegerRegexpExampleFileException, SystemException {
		Session session = null;

		try {
			session = openSession();

			integerRegexpExampleFile integerRegexpExampleFile = (integerRegexpExampleFile)session.get(integerRegexpExampleFileImpl.class,
					new Long(exampleId));

			if (integerRegexpExampleFile == null) {
				if (_log.isWarnEnabled()) {
					_log.warn(_NO_SUCH_ENTITY_WITH_PRIMARY_KEY + exampleId);
				}

				throw new NoSuchintegerRegexpExampleFileException(_NO_SUCH_ENTITY_WITH_PRIMARY_KEY +
					exampleId);
			}

			return remove(integerRegexpExampleFile);
		}
		catch (NoSuchintegerRegexpExampleFileException nsee) {
			throw nsee;
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	protected integerRegexpExampleFile removeImpl(
		integerRegexpExampleFile integerRegexpExampleFile)
		throws SystemException {
		integerRegexpExampleFile = toUnwrappedModel(integerRegexpExampleFile);

		Session session = null;

		try {
			session = openSession();

			BatchSessionUtil.delete(session, integerRegexpExampleFile);
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}

		FinderCacheUtil.clearCache(FINDER_CLASS_NAME_LIST);

		EntityCacheUtil.removeResult(integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
			integerRegexpExampleFileImpl.class,
			integerRegexpExampleFile.getPrimaryKey());

		return integerRegexpExampleFile;
	}

	public integerRegexpExampleFile updateImpl(
		org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile integerRegexpExampleFile,
		boolean merge) throws SystemException {
		integerRegexpExampleFile = toUnwrappedModel(integerRegexpExampleFile);

		Session session = null;

		try {
			session = openSession();

			BatchSessionUtil.update(session, integerRegexpExampleFile, merge);

			integerRegexpExampleFile.setNew(false);
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}

		FinderCacheUtil.clearCache(FINDER_CLASS_NAME_LIST);

		EntityCacheUtil.putResult(integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
			integerRegexpExampleFileImpl.class,
			integerRegexpExampleFile.getPrimaryKey(), integerRegexpExampleFile);

		return integerRegexpExampleFile;
	}

	protected integerRegexpExampleFile toUnwrappedModel(
		integerRegexpExampleFile integerRegexpExampleFile) {
		if (integerRegexpExampleFile instanceof integerRegexpExampleFileImpl) {
			return integerRegexpExampleFile;
		}

		integerRegexpExampleFileImpl integerRegexpExampleFileImpl = new integerRegexpExampleFileImpl();

		integerRegexpExampleFileImpl.setNew(integerRegexpExampleFile.isNew());
		integerRegexpExampleFileImpl.setPrimaryKey(integerRegexpExampleFile.getPrimaryKey());

		integerRegexpExampleFileImpl.setExampleId(integerRegexpExampleFile.getExampleId());
		integerRegexpExampleFileImpl.setCompanyId(integerRegexpExampleFile.getCompanyId());
		integerRegexpExampleFileImpl.setGroupId(integerRegexpExampleFile.getGroupId());
		integerRegexpExampleFileImpl.setUserId(integerRegexpExampleFile.getUserId());
		integerRegexpExampleFileImpl.setExampleDescription(integerRegexpExampleFile.getExampleDescription());
		integerRegexpExampleFileImpl.setIntegerField(integerRegexpExampleFile.getIntegerField());

		return integerRegexpExampleFileImpl;
	}

	/**
	 * Finds the integer regexp example file with the primary key or throws a {@link com.liferay.portal.NoSuchModelException} if it could not be found.
	 *
	 * @param primaryKey the primary key of the integer regexp example file to find
	 * @return the integer regexp example file
	 * @throws com.liferay.portal.NoSuchModelException if a integer regexp example file with the primary key could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile findByPrimaryKey(Serializable primaryKey)
		throws NoSuchModelException, SystemException {
		return findByPrimaryKey(((Long)primaryKey).longValue());
	}

	/**
	 * Finds the integer regexp example file with the primary key or throws a {@link org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException} if it could not be found.
	 *
	 * @param exampleId the primary key of the integer regexp example file to find
	 * @return the integer regexp example file
	 * @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a integer regexp example file with the primary key could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile findByPrimaryKey(long exampleId)
		throws NoSuchintegerRegexpExampleFileException, SystemException {
		integerRegexpExampleFile integerRegexpExampleFile = fetchByPrimaryKey(exampleId);

		if (integerRegexpExampleFile == null) {
			if (_log.isWarnEnabled()) {
				_log.warn(_NO_SUCH_ENTITY_WITH_PRIMARY_KEY + exampleId);
			}

			throw new NoSuchintegerRegexpExampleFileException(_NO_SUCH_ENTITY_WITH_PRIMARY_KEY +
				exampleId);
		}

		return integerRegexpExampleFile;
	}

	/**
	 * Finds the integer regexp example file with the primary key or returns <code>null</code> if it could not be found.
	 *
	 * @param primaryKey the primary key of the integer regexp example file to find
	 * @return the integer regexp example file, or <code>null</code> if a integer regexp example file with the primary key could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile fetchByPrimaryKey(Serializable primaryKey)
		throws SystemException {
		return fetchByPrimaryKey(((Long)primaryKey).longValue());
	}

	/**
	 * Finds the integer regexp example file with the primary key or returns <code>null</code> if it could not be found.
	 *
	 * @param exampleId the primary key of the integer regexp example file to find
	 * @return the integer regexp example file, or <code>null</code> if a integer regexp example file with the primary key could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile fetchByPrimaryKey(long exampleId)
		throws SystemException {
		integerRegexpExampleFile integerRegexpExampleFile = (integerRegexpExampleFile)EntityCacheUtil.getResult(integerRegexpExampleFileModelImpl.ENTITY_CACHE_ENABLED,
				integerRegexpExampleFileImpl.class, exampleId, this);

		if (integerRegexpExampleFile == null) {
			Session session = null;

			try {
				session = openSession();

				integerRegexpExampleFile = (integerRegexpExampleFile)session.get(integerRegexpExampleFileImpl.class,
						new Long(exampleId));
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (integerRegexpExampleFile != null) {
					cacheResult(integerRegexpExampleFile);
				}

				closeSession(session);
			}
		}

		return integerRegexpExampleFile;
	}

	/**
	 * Finds all the integer regexp example files where groupId = &#63;.
	 *
	 * @param groupId the group id to search with
	 * @return the matching integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> findByGroupId(long groupId)
		throws SystemException {
		return findByGroupId(groupId, QueryUtil.ALL_POS, QueryUtil.ALL_POS, null);
	}

	/**
	 * Finds a range of all the integer regexp example files where groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param groupId the group id to search with
	 * @param start the lower bound of the range of integer regexp example files to return
	 * @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	 * @return the range of matching integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> findByGroupId(long groupId,
		int start, int end) throws SystemException {
		return findByGroupId(groupId, start, end, null);
	}

	/**
	 * Finds an ordered range of all the integer regexp example files where groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param groupId the group id to search with
	 * @param start the lower bound of the range of integer regexp example files to return
	 * @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	 * @param orderByComparator the comparator to order the results by
	 * @return the ordered range of matching integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> findByGroupId(long groupId,
		int start, int end, OrderByComparator orderByComparator)
		throws SystemException {
		Object[] finderArgs = new Object[] {
				groupId,
				
				String.valueOf(start), String.valueOf(end),
				String.valueOf(orderByComparator)
			};

		List<integerRegexpExampleFile> list = (List<integerRegexpExampleFile>)FinderCacheUtil.getResult(FINDER_PATH_FIND_BY_GROUPID,
				finderArgs, this);

		if (list == null) {
			StringBundler query = null;

			if (orderByComparator != null) {
				query = new StringBundler(3 +
						(orderByComparator.getOrderByFields().length * 3));
			}
			else {
				query = new StringBundler(2);
			}

			query.append(_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_WHERE);

			query.append(_FINDER_COLUMN_GROUPID_GROUPID_2);

			if (orderByComparator != null) {
				appendOrderByComparator(query, _ORDER_BY_ENTITY_ALIAS,
					orderByComparator);
			}

			String sql = query.toString();

			Session session = null;

			try {
				session = openSession();

				Query q = session.createQuery(sql);

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(groupId);

				list = (List<integerRegexpExampleFile>)QueryUtil.list(q,
						getDialect(), start, end);
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (list == null) {
					FinderCacheUtil.removeResult(FINDER_PATH_FIND_BY_GROUPID,
						finderArgs);
				}
				else {
					cacheResult(list);

					FinderCacheUtil.putResult(FINDER_PATH_FIND_BY_GROUPID,
						finderArgs, list);
				}

				closeSession(session);
			}
		}

		return list;
	}

	/**
	 * Finds the first integer regexp example file in the ordered set where groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param groupId the group id to search with
	 * @param orderByComparator the comparator to order the set by
	 * @return the first matching integer regexp example file
	 * @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a matching integer regexp example file could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile findByGroupId_First(long groupId,
		OrderByComparator orderByComparator)
		throws NoSuchintegerRegexpExampleFileException, SystemException {
		List<integerRegexpExampleFile> list = findByGroupId(groupId, 0, 1,
				orderByComparator);

		if (list.isEmpty()) {
			StringBundler msg = new StringBundler(4);

			msg.append(_NO_SUCH_ENTITY_WITH_KEY);

			msg.append("groupId=");
			msg.append(groupId);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			throw new NoSuchintegerRegexpExampleFileException(msg.toString());
		}
		else {
			return list.get(0);
		}
	}

	/**
	 * Finds the last integer regexp example file in the ordered set where groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param groupId the group id to search with
	 * @param orderByComparator the comparator to order the set by
	 * @return the last matching integer regexp example file
	 * @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a matching integer regexp example file could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile findByGroupId_Last(long groupId,
		OrderByComparator orderByComparator)
		throws NoSuchintegerRegexpExampleFileException, SystemException {
		int count = countByGroupId(groupId);

		List<integerRegexpExampleFile> list = findByGroupId(groupId, count - 1,
				count, orderByComparator);

		if (list.isEmpty()) {
			StringBundler msg = new StringBundler(4);

			msg.append(_NO_SUCH_ENTITY_WITH_KEY);

			msg.append("groupId=");
			msg.append(groupId);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			throw new NoSuchintegerRegexpExampleFileException(msg.toString());
		}
		else {
			return list.get(0);
		}
	}

	/**
	 * Finds the integer regexp example files before and after the current integer regexp example file in the ordered set where groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param exampleId the primary key of the current integer regexp example file
	 * @param groupId the group id to search with
	 * @param orderByComparator the comparator to order the set by
	 * @return the previous, current, and next integer regexp example file
	 * @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a integer regexp example file with the primary key could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile[] findByGroupId_PrevAndNext(
		long exampleId, long groupId, OrderByComparator orderByComparator)
		throws NoSuchintegerRegexpExampleFileException, SystemException {
		integerRegexpExampleFile integerRegexpExampleFile = findByPrimaryKey(exampleId);

		Session session = null;

		try {
			session = openSession();

			integerRegexpExampleFile[] array = new integerRegexpExampleFileImpl[3];

			array[0] = getByGroupId_PrevAndNext(session,
					integerRegexpExampleFile, groupId, orderByComparator, true);

			array[1] = integerRegexpExampleFile;

			array[2] = getByGroupId_PrevAndNext(session,
					integerRegexpExampleFile, groupId, orderByComparator, false);

			return array;
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	protected integerRegexpExampleFile getByGroupId_PrevAndNext(
		Session session, integerRegexpExampleFile integerRegexpExampleFile,
		long groupId, OrderByComparator orderByComparator, boolean previous) {
		StringBundler query = null;

		if (orderByComparator != null) {
			query = new StringBundler(6 +
					(orderByComparator.getOrderByFields().length * 6));
		}
		else {
			query = new StringBundler(3);
		}

		query.append(_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_WHERE);

		query.append(_FINDER_COLUMN_GROUPID_GROUPID_2);

		if (orderByComparator != null) {
			String[] orderByFields = orderByComparator.getOrderByFields();

			if (orderByFields.length > 0) {
				query.append(WHERE_AND);
			}

			for (int i = 0; i < orderByFields.length; i++) {
				query.append(_ORDER_BY_ENTITY_ALIAS);
				query.append(orderByFields[i]);

				if ((i + 1) < orderByFields.length) {
					if (orderByComparator.isAscending() ^ previous) {
						query.append(WHERE_GREATER_THAN_HAS_NEXT);
					}
					else {
						query.append(WHERE_LESSER_THAN_HAS_NEXT);
					}
				}
				else {
					if (orderByComparator.isAscending() ^ previous) {
						query.append(WHERE_GREATER_THAN);
					}
					else {
						query.append(WHERE_LESSER_THAN);
					}
				}
			}

			query.append(ORDER_BY_CLAUSE);

			for (int i = 0; i < orderByFields.length; i++) {
				query.append(_ORDER_BY_ENTITY_ALIAS);
				query.append(orderByFields[i]);

				if ((i + 1) < orderByFields.length) {
					if (orderByComparator.isAscending() ^ previous) {
						query.append(ORDER_BY_ASC_HAS_NEXT);
					}
					else {
						query.append(ORDER_BY_DESC_HAS_NEXT);
					}
				}
				else {
					if (orderByComparator.isAscending() ^ previous) {
						query.append(ORDER_BY_ASC);
					}
					else {
						query.append(ORDER_BY_DESC);
					}
				}
			}
		}

		String sql = query.toString();

		Query q = session.createQuery(sql);

		q.setFirstResult(0);
		q.setMaxResults(2);

		QueryPos qPos = QueryPos.getInstance(q);

		qPos.add(groupId);

		if (orderByComparator != null) {
			Object[] values = orderByComparator.getOrderByValues(integerRegexpExampleFile);

			for (Object value : values) {
				qPos.add(value);
			}
		}

		List<integerRegexpExampleFile> list = q.list();

		if (list.size() == 2) {
			return list.get(1);
		}
		else {
			return null;
		}
	}

	/**
	 * Filters by the user's permissions and finds all the integer regexp example files where groupId = &#63;.
	 *
	 * @param groupId the group id to search with
	 * @return the matching integer regexp example files that the user has permission to view
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> filterFindByGroupId(long groupId)
		throws SystemException {
		return filterFindByGroupId(groupId, QueryUtil.ALL_POS,
			QueryUtil.ALL_POS, null);
	}

	/**
	 * Filters by the user's permissions and finds a range of all the integer regexp example files where groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param groupId the group id to search with
	 * @param start the lower bound of the range of integer regexp example files to return
	 * @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	 * @return the range of matching integer regexp example files that the user has permission to view
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> filterFindByGroupId(long groupId,
		int start, int end) throws SystemException {
		return filterFindByGroupId(groupId, start, end, null);
	}

	/**
	 * Filters by the user's permissions and finds an ordered range of all the integer regexp example files where groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param groupId the group id to search with
	 * @param start the lower bound of the range of integer regexp example files to return
	 * @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	 * @param orderByComparator the comparator to order the results by
	 * @return the ordered range of matching integer regexp example files that the user has permission to view
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> filterFindByGroupId(long groupId,
		int start, int end, OrderByComparator orderByComparator)
		throws SystemException {
		if (!InlineSQLHelperUtil.isEnabled(groupId)) {
			return findByGroupId(groupId, start, end, orderByComparator);
		}

		StringBundler query = null;

		if (orderByComparator != null) {
			query = new StringBundler(3 +
					(orderByComparator.getOrderByFields().length * 3));
		}
		else {
			query = new StringBundler(2);
		}

		if (getDB().isSupportsInlineDistinct()) {
			query.append(_FILTER_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_WHERE);
		}
		else {
			query.append(_FILTER_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_NO_INLINE_DISTINCT_WHERE_1);
		}

		query.append(_FINDER_COLUMN_GROUPID_GROUPID_2);

		if (!getDB().isSupportsInlineDistinct()) {
			query.append(_FILTER_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_NO_INLINE_DISTINCT_WHERE_2);
		}

		if (orderByComparator != null) {
			if (getDB().isSupportsInlineDistinct()) {
				appendOrderByComparator(query, _ORDER_BY_ENTITY_ALIAS,
					orderByComparator);
			}
			else {
				appendOrderByComparator(query, _ORDER_BY_ENTITY_TABLE,
					orderByComparator);
			}
		}

		String sql = InlineSQLHelperUtil.replacePermissionCheck(query.toString(),
				integerRegexpExampleFile.class.getName(), _FILTER_COLUMN_PK,
				_FILTER_COLUMN_USERID, groupId);

		Session session = null;

		try {
			session = openSession();

			SQLQuery q = session.createSQLQuery(sql);

			if (getDB().isSupportsInlineDistinct()) {
				q.addEntity(_FILTER_ENTITY_ALIAS,
					integerRegexpExampleFileImpl.class);
			}
			else {
				q.addEntity(_FILTER_ENTITY_TABLE,
					integerRegexpExampleFileImpl.class);
			}

			QueryPos qPos = QueryPos.getInstance(q);

			qPos.add(groupId);

			return (List<integerRegexpExampleFile>)QueryUtil.list(q,
				getDialect(), start, end);
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	/**
	 * Finds all the integer regexp example files where userId = &#63;.
	 *
	 * @param userId the user id to search with
	 * @return the matching integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> findByUserId(long userId)
		throws SystemException {
		return findByUserId(userId, QueryUtil.ALL_POS, QueryUtil.ALL_POS, null);
	}

	/**
	 * Finds a range of all the integer regexp example files where userId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param userId the user id to search with
	 * @param start the lower bound of the range of integer regexp example files to return
	 * @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	 * @return the range of matching integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> findByUserId(long userId, int start,
		int end) throws SystemException {
		return findByUserId(userId, start, end, null);
	}

	/**
	 * Finds an ordered range of all the integer regexp example files where userId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param userId the user id to search with
	 * @param start the lower bound of the range of integer regexp example files to return
	 * @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	 * @param orderByComparator the comparator to order the results by
	 * @return the ordered range of matching integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> findByUserId(long userId, int start,
		int end, OrderByComparator orderByComparator) throws SystemException {
		Object[] finderArgs = new Object[] {
				userId,
				
				String.valueOf(start), String.valueOf(end),
				String.valueOf(orderByComparator)
			};

		List<integerRegexpExampleFile> list = (List<integerRegexpExampleFile>)FinderCacheUtil.getResult(FINDER_PATH_FIND_BY_USERID,
				finderArgs, this);

		if (list == null) {
			StringBundler query = null;

			if (orderByComparator != null) {
				query = new StringBundler(3 +
						(orderByComparator.getOrderByFields().length * 3));
			}
			else {
				query = new StringBundler(2);
			}

			query.append(_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_WHERE);

			query.append(_FINDER_COLUMN_USERID_USERID_2);

			if (orderByComparator != null) {
				appendOrderByComparator(query, _ORDER_BY_ENTITY_ALIAS,
					orderByComparator);
			}

			String sql = query.toString();

			Session session = null;

			try {
				session = openSession();

				Query q = session.createQuery(sql);

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(userId);

				list = (List<integerRegexpExampleFile>)QueryUtil.list(q,
						getDialect(), start, end);
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (list == null) {
					FinderCacheUtil.removeResult(FINDER_PATH_FIND_BY_USERID,
						finderArgs);
				}
				else {
					cacheResult(list);

					FinderCacheUtil.putResult(FINDER_PATH_FIND_BY_USERID,
						finderArgs, list);
				}

				closeSession(session);
			}
		}

		return list;
	}

	/**
	 * Finds the first integer regexp example file in the ordered set where userId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param userId the user id to search with
	 * @param orderByComparator the comparator to order the set by
	 * @return the first matching integer regexp example file
	 * @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a matching integer regexp example file could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile findByUserId_First(long userId,
		OrderByComparator orderByComparator)
		throws NoSuchintegerRegexpExampleFileException, SystemException {
		List<integerRegexpExampleFile> list = findByUserId(userId, 0, 1,
				orderByComparator);

		if (list.isEmpty()) {
			StringBundler msg = new StringBundler(4);

			msg.append(_NO_SUCH_ENTITY_WITH_KEY);

			msg.append("userId=");
			msg.append(userId);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			throw new NoSuchintegerRegexpExampleFileException(msg.toString());
		}
		else {
			return list.get(0);
		}
	}

	/**
	 * Finds the last integer regexp example file in the ordered set where userId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param userId the user id to search with
	 * @param orderByComparator the comparator to order the set by
	 * @return the last matching integer regexp example file
	 * @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a matching integer regexp example file could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile findByUserId_Last(long userId,
		OrderByComparator orderByComparator)
		throws NoSuchintegerRegexpExampleFileException, SystemException {
		int count = countByUserId(userId);

		List<integerRegexpExampleFile> list = findByUserId(userId, count - 1,
				count, orderByComparator);

		if (list.isEmpty()) {
			StringBundler msg = new StringBundler(4);

			msg.append(_NO_SUCH_ENTITY_WITH_KEY);

			msg.append("userId=");
			msg.append(userId);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			throw new NoSuchintegerRegexpExampleFileException(msg.toString());
		}
		else {
			return list.get(0);
		}
	}

	/**
	 * Finds the integer regexp example files before and after the current integer regexp example file in the ordered set where userId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param exampleId the primary key of the current integer regexp example file
	 * @param userId the user id to search with
	 * @param orderByComparator the comparator to order the set by
	 * @return the previous, current, and next integer regexp example file
	 * @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a integer regexp example file with the primary key could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile[] findByUserId_PrevAndNext(long exampleId,
		long userId, OrderByComparator orderByComparator)
		throws NoSuchintegerRegexpExampleFileException, SystemException {
		integerRegexpExampleFile integerRegexpExampleFile = findByPrimaryKey(exampleId);

		Session session = null;

		try {
			session = openSession();

			integerRegexpExampleFile[] array = new integerRegexpExampleFileImpl[3];

			array[0] = getByUserId_PrevAndNext(session,
					integerRegexpExampleFile, userId, orderByComparator, true);

			array[1] = integerRegexpExampleFile;

			array[2] = getByUserId_PrevAndNext(session,
					integerRegexpExampleFile, userId, orderByComparator, false);

			return array;
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	protected integerRegexpExampleFile getByUserId_PrevAndNext(
		Session session, integerRegexpExampleFile integerRegexpExampleFile,
		long userId, OrderByComparator orderByComparator, boolean previous) {
		StringBundler query = null;

		if (orderByComparator != null) {
			query = new StringBundler(6 +
					(orderByComparator.getOrderByFields().length * 6));
		}
		else {
			query = new StringBundler(3);
		}

		query.append(_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_WHERE);

		query.append(_FINDER_COLUMN_USERID_USERID_2);

		if (orderByComparator != null) {
			String[] orderByFields = orderByComparator.getOrderByFields();

			if (orderByFields.length > 0) {
				query.append(WHERE_AND);
			}

			for (int i = 0; i < orderByFields.length; i++) {
				query.append(_ORDER_BY_ENTITY_ALIAS);
				query.append(orderByFields[i]);

				if ((i + 1) < orderByFields.length) {
					if (orderByComparator.isAscending() ^ previous) {
						query.append(WHERE_GREATER_THAN_HAS_NEXT);
					}
					else {
						query.append(WHERE_LESSER_THAN_HAS_NEXT);
					}
				}
				else {
					if (orderByComparator.isAscending() ^ previous) {
						query.append(WHERE_GREATER_THAN);
					}
					else {
						query.append(WHERE_LESSER_THAN);
					}
				}
			}

			query.append(ORDER_BY_CLAUSE);

			for (int i = 0; i < orderByFields.length; i++) {
				query.append(_ORDER_BY_ENTITY_ALIAS);
				query.append(orderByFields[i]);

				if ((i + 1) < orderByFields.length) {
					if (orderByComparator.isAscending() ^ previous) {
						query.append(ORDER_BY_ASC_HAS_NEXT);
					}
					else {
						query.append(ORDER_BY_DESC_HAS_NEXT);
					}
				}
				else {
					if (orderByComparator.isAscending() ^ previous) {
						query.append(ORDER_BY_ASC);
					}
					else {
						query.append(ORDER_BY_DESC);
					}
				}
			}
		}

		String sql = query.toString();

		Query q = session.createQuery(sql);

		q.setFirstResult(0);
		q.setMaxResults(2);

		QueryPos qPos = QueryPos.getInstance(q);

		qPos.add(userId);

		if (orderByComparator != null) {
			Object[] values = orderByComparator.getOrderByValues(integerRegexpExampleFile);

			for (Object value : values) {
				qPos.add(value);
			}
		}

		List<integerRegexpExampleFile> list = q.list();

		if (list.size() == 2) {
			return list.get(1);
		}
		else {
			return null;
		}
	}

	/**
	 * Finds all the integer regexp example files where userId = &#63; and groupId = &#63;.
	 *
	 * @param userId the user id to search with
	 * @param groupId the group id to search with
	 * @return the matching integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> findByUserIdGroupId(long userId,
		long groupId) throws SystemException {
		return findByUserIdGroupId(userId, groupId, QueryUtil.ALL_POS,
			QueryUtil.ALL_POS, null);
	}

	/**
	 * Finds a range of all the integer regexp example files where userId = &#63; and groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param userId the user id to search with
	 * @param groupId the group id to search with
	 * @param start the lower bound of the range of integer regexp example files to return
	 * @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	 * @return the range of matching integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> findByUserIdGroupId(long userId,
		long groupId, int start, int end) throws SystemException {
		return findByUserIdGroupId(userId, groupId, start, end, null);
	}

	/**
	 * Finds an ordered range of all the integer regexp example files where userId = &#63; and groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param userId the user id to search with
	 * @param groupId the group id to search with
	 * @param start the lower bound of the range of integer regexp example files to return
	 * @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	 * @param orderByComparator the comparator to order the results by
	 * @return the ordered range of matching integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> findByUserIdGroupId(long userId,
		long groupId, int start, int end, OrderByComparator orderByComparator)
		throws SystemException {
		Object[] finderArgs = new Object[] {
				userId, groupId,
				
				String.valueOf(start), String.valueOf(end),
				String.valueOf(orderByComparator)
			};

		List<integerRegexpExampleFile> list = (List<integerRegexpExampleFile>)FinderCacheUtil.getResult(FINDER_PATH_FIND_BY_USERIDGROUPID,
				finderArgs, this);

		if (list == null) {
			StringBundler query = null;

			if (orderByComparator != null) {
				query = new StringBundler(4 +
						(orderByComparator.getOrderByFields().length * 3));
			}
			else {
				query = new StringBundler(3);
			}

			query.append(_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_WHERE);

			query.append(_FINDER_COLUMN_USERIDGROUPID_USERID_2);

			query.append(_FINDER_COLUMN_USERIDGROUPID_GROUPID_2);

			if (orderByComparator != null) {
				appendOrderByComparator(query, _ORDER_BY_ENTITY_ALIAS,
					orderByComparator);
			}

			String sql = query.toString();

			Session session = null;

			try {
				session = openSession();

				Query q = session.createQuery(sql);

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(userId);

				qPos.add(groupId);

				list = (List<integerRegexpExampleFile>)QueryUtil.list(q,
						getDialect(), start, end);
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (list == null) {
					FinderCacheUtil.removeResult(FINDER_PATH_FIND_BY_USERIDGROUPID,
						finderArgs);
				}
				else {
					cacheResult(list);

					FinderCacheUtil.putResult(FINDER_PATH_FIND_BY_USERIDGROUPID,
						finderArgs, list);
				}

				closeSession(session);
			}
		}

		return list;
	}

	/**
	 * Finds the first integer regexp example file in the ordered set where userId = &#63; and groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param userId the user id to search with
	 * @param groupId the group id to search with
	 * @param orderByComparator the comparator to order the set by
	 * @return the first matching integer regexp example file
	 * @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a matching integer regexp example file could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile findByUserIdGroupId_First(long userId,
		long groupId, OrderByComparator orderByComparator)
		throws NoSuchintegerRegexpExampleFileException, SystemException {
		List<integerRegexpExampleFile> list = findByUserIdGroupId(userId,
				groupId, 0, 1, orderByComparator);

		if (list.isEmpty()) {
			StringBundler msg = new StringBundler(6);

			msg.append(_NO_SUCH_ENTITY_WITH_KEY);

			msg.append("userId=");
			msg.append(userId);

			msg.append(", groupId=");
			msg.append(groupId);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			throw new NoSuchintegerRegexpExampleFileException(msg.toString());
		}
		else {
			return list.get(0);
		}
	}

	/**
	 * Finds the last integer regexp example file in the ordered set where userId = &#63; and groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param userId the user id to search with
	 * @param groupId the group id to search with
	 * @param orderByComparator the comparator to order the set by
	 * @return the last matching integer regexp example file
	 * @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a matching integer regexp example file could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile findByUserIdGroupId_Last(long userId,
		long groupId, OrderByComparator orderByComparator)
		throws NoSuchintegerRegexpExampleFileException, SystemException {
		int count = countByUserIdGroupId(userId, groupId);

		List<integerRegexpExampleFile> list = findByUserIdGroupId(userId,
				groupId, count - 1, count, orderByComparator);

		if (list.isEmpty()) {
			StringBundler msg = new StringBundler(6);

			msg.append(_NO_SUCH_ENTITY_WITH_KEY);

			msg.append("userId=");
			msg.append(userId);

			msg.append(", groupId=");
			msg.append(groupId);

			msg.append(StringPool.CLOSE_CURLY_BRACE);

			throw new NoSuchintegerRegexpExampleFileException(msg.toString());
		}
		else {
			return list.get(0);
		}
	}

	/**
	 * Finds the integer regexp example files before and after the current integer regexp example file in the ordered set where userId = &#63; and groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param exampleId the primary key of the current integer regexp example file
	 * @param userId the user id to search with
	 * @param groupId the group id to search with
	 * @param orderByComparator the comparator to order the set by
	 * @return the previous, current, and next integer regexp example file
	 * @throws org.xmlportletfactory.portal.goodclient.NoSuchintegerRegexpExampleFileException if a integer regexp example file with the primary key could not be found
	 * @throws SystemException if a system exception occurred
	 */
	public integerRegexpExampleFile[] findByUserIdGroupId_PrevAndNext(
		long exampleId, long userId, long groupId,
		OrderByComparator orderByComparator)
		throws NoSuchintegerRegexpExampleFileException, SystemException {
		integerRegexpExampleFile integerRegexpExampleFile = findByPrimaryKey(exampleId);

		Session session = null;

		try {
			session = openSession();

			integerRegexpExampleFile[] array = new integerRegexpExampleFileImpl[3];

			array[0] = getByUserIdGroupId_PrevAndNext(session,
					integerRegexpExampleFile, userId, groupId,
					orderByComparator, true);

			array[1] = integerRegexpExampleFile;

			array[2] = getByUserIdGroupId_PrevAndNext(session,
					integerRegexpExampleFile, userId, groupId,
					orderByComparator, false);

			return array;
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	protected integerRegexpExampleFile getByUserIdGroupId_PrevAndNext(
		Session session, integerRegexpExampleFile integerRegexpExampleFile,
		long userId, long groupId, OrderByComparator orderByComparator,
		boolean previous) {
		StringBundler query = null;

		if (orderByComparator != null) {
			query = new StringBundler(6 +
					(orderByComparator.getOrderByFields().length * 6));
		}
		else {
			query = new StringBundler(3);
		}

		query.append(_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_WHERE);

		query.append(_FINDER_COLUMN_USERIDGROUPID_USERID_2);

		query.append(_FINDER_COLUMN_USERIDGROUPID_GROUPID_2);

		if (orderByComparator != null) {
			String[] orderByFields = orderByComparator.getOrderByFields();

			if (orderByFields.length > 0) {
				query.append(WHERE_AND);
			}

			for (int i = 0; i < orderByFields.length; i++) {
				query.append(_ORDER_BY_ENTITY_ALIAS);
				query.append(orderByFields[i]);

				if ((i + 1) < orderByFields.length) {
					if (orderByComparator.isAscending() ^ previous) {
						query.append(WHERE_GREATER_THAN_HAS_NEXT);
					}
					else {
						query.append(WHERE_LESSER_THAN_HAS_NEXT);
					}
				}
				else {
					if (orderByComparator.isAscending() ^ previous) {
						query.append(WHERE_GREATER_THAN);
					}
					else {
						query.append(WHERE_LESSER_THAN);
					}
				}
			}

			query.append(ORDER_BY_CLAUSE);

			for (int i = 0; i < orderByFields.length; i++) {
				query.append(_ORDER_BY_ENTITY_ALIAS);
				query.append(orderByFields[i]);

				if ((i + 1) < orderByFields.length) {
					if (orderByComparator.isAscending() ^ previous) {
						query.append(ORDER_BY_ASC_HAS_NEXT);
					}
					else {
						query.append(ORDER_BY_DESC_HAS_NEXT);
					}
				}
				else {
					if (orderByComparator.isAscending() ^ previous) {
						query.append(ORDER_BY_ASC);
					}
					else {
						query.append(ORDER_BY_DESC);
					}
				}
			}
		}

		String sql = query.toString();

		Query q = session.createQuery(sql);

		q.setFirstResult(0);
		q.setMaxResults(2);

		QueryPos qPos = QueryPos.getInstance(q);

		qPos.add(userId);

		qPos.add(groupId);

		if (orderByComparator != null) {
			Object[] values = orderByComparator.getOrderByValues(integerRegexpExampleFile);

			for (Object value : values) {
				qPos.add(value);
			}
		}

		List<integerRegexpExampleFile> list = q.list();

		if (list.size() == 2) {
			return list.get(1);
		}
		else {
			return null;
		}
	}

	/**
	 * Filters by the user's permissions and finds all the integer regexp example files where userId = &#63; and groupId = &#63;.
	 *
	 * @param userId the user id to search with
	 * @param groupId the group id to search with
	 * @return the matching integer regexp example files that the user has permission to view
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> filterFindByUserIdGroupId(
		long userId, long groupId) throws SystemException {
		return filterFindByUserIdGroupId(userId, groupId, QueryUtil.ALL_POS,
			QueryUtil.ALL_POS, null);
	}

	/**
	 * Filters by the user's permissions and finds a range of all the integer regexp example files where userId = &#63; and groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param userId the user id to search with
	 * @param groupId the group id to search with
	 * @param start the lower bound of the range of integer regexp example files to return
	 * @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	 * @return the range of matching integer regexp example files that the user has permission to view
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> filterFindByUserIdGroupId(
		long userId, long groupId, int start, int end)
		throws SystemException {
		return filterFindByUserIdGroupId(userId, groupId, start, end, null);
	}

	/**
	 * Filters by the user's permissions and finds an ordered range of all the integer regexp example files where userId = &#63; and groupId = &#63;.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param userId the user id to search with
	 * @param groupId the group id to search with
	 * @param start the lower bound of the range of integer regexp example files to return
	 * @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	 * @param orderByComparator the comparator to order the results by
	 * @return the ordered range of matching integer regexp example files that the user has permission to view
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> filterFindByUserIdGroupId(
		long userId, long groupId, int start, int end,
		OrderByComparator orderByComparator) throws SystemException {
		if (!InlineSQLHelperUtil.isEnabled(groupId)) {
			return findByUserIdGroupId(userId, groupId, start, end,
				orderByComparator);
		}

		StringBundler query = null;

		if (orderByComparator != null) {
			query = new StringBundler(4 +
					(orderByComparator.getOrderByFields().length * 3));
		}
		else {
			query = new StringBundler(3);
		}

		if (getDB().isSupportsInlineDistinct()) {
			query.append(_FILTER_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_WHERE);
		}
		else {
			query.append(_FILTER_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_NO_INLINE_DISTINCT_WHERE_1);
		}

		query.append(_FINDER_COLUMN_USERIDGROUPID_USERID_2);

		query.append(_FINDER_COLUMN_USERIDGROUPID_GROUPID_2);

		if (!getDB().isSupportsInlineDistinct()) {
			query.append(_FILTER_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_NO_INLINE_DISTINCT_WHERE_2);
		}

		if (orderByComparator != null) {
			if (getDB().isSupportsInlineDistinct()) {
				appendOrderByComparator(query, _ORDER_BY_ENTITY_ALIAS,
					orderByComparator);
			}
			else {
				appendOrderByComparator(query, _ORDER_BY_ENTITY_TABLE,
					orderByComparator);
			}
		}

		String sql = InlineSQLHelperUtil.replacePermissionCheck(query.toString(),
				integerRegexpExampleFile.class.getName(), _FILTER_COLUMN_PK,
				_FILTER_COLUMN_USERID, groupId);

		Session session = null;

		try {
			session = openSession();

			SQLQuery q = session.createSQLQuery(sql);

			if (getDB().isSupportsInlineDistinct()) {
				q.addEntity(_FILTER_ENTITY_ALIAS,
					integerRegexpExampleFileImpl.class);
			}
			else {
				q.addEntity(_FILTER_ENTITY_TABLE,
					integerRegexpExampleFileImpl.class);
			}

			QueryPos qPos = QueryPos.getInstance(q);

			qPos.add(userId);

			qPos.add(groupId);

			return (List<integerRegexpExampleFile>)QueryUtil.list(q,
				getDialect(), start, end);
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	/**
	 * Finds all the integer regexp example files.
	 *
	 * @return the integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> findAll() throws SystemException {
		return findAll(QueryUtil.ALL_POS, QueryUtil.ALL_POS, null);
	}

	/**
	 * Finds a range of all the integer regexp example files.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param start the lower bound of the range of integer regexp example files to return
	 * @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	 * @return the range of integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> findAll(int start, int end)
		throws SystemException {
		return findAll(start, end, null);
	}

	/**
	 * Finds an ordered range of all the integer regexp example files.
	 *
	 * <p>
	 * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	 * </p>
	 *
	 * @param start the lower bound of the range of integer regexp example files to return
	 * @param end the upper bound of the range of integer regexp example files to return (not inclusive)
	 * @param orderByComparator the comparator to order the results by
	 * @return the ordered range of integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public List<integerRegexpExampleFile> findAll(int start, int end,
		OrderByComparator orderByComparator) throws SystemException {
		Object[] finderArgs = new Object[] {
				String.valueOf(start), String.valueOf(end),
				String.valueOf(orderByComparator)
			};

		List<integerRegexpExampleFile> list = (List<integerRegexpExampleFile>)FinderCacheUtil.getResult(FINDER_PATH_FIND_ALL,
				finderArgs, this);

		if (list == null) {
			StringBundler query = null;
			String sql = null;

			if (orderByComparator != null) {
				query = new StringBundler(2 +
						(orderByComparator.getOrderByFields().length * 3));

				query.append(_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE);

				appendOrderByComparator(query, _ORDER_BY_ENTITY_ALIAS,
					orderByComparator);

				sql = query.toString();
			}
			else {
				sql = _SQL_SELECT_INTEGERREGEXPEXAMPLEFILE;
			}

			Session session = null;

			try {
				session = openSession();

				Query q = session.createQuery(sql);

				if (orderByComparator == null) {
					list = (List<integerRegexpExampleFile>)QueryUtil.list(q,
							getDialect(), start, end, false);

					Collections.sort(list);
				}
				else {
					list = (List<integerRegexpExampleFile>)QueryUtil.list(q,
							getDialect(), start, end);
				}
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (list == null) {
					FinderCacheUtil.removeResult(FINDER_PATH_FIND_ALL,
						finderArgs);
				}
				else {
					cacheResult(list);

					FinderCacheUtil.putResult(FINDER_PATH_FIND_ALL, finderArgs,
						list);
				}

				closeSession(session);
			}
		}

		return list;
	}

	/**
	 * Removes all the integer regexp example files where groupId = &#63; from the database.
	 *
	 * @param groupId the group id to search with
	 * @throws SystemException if a system exception occurred
	 */
	public void removeByGroupId(long groupId) throws SystemException {
		for (integerRegexpExampleFile integerRegexpExampleFile : findByGroupId(
				groupId)) {
			remove(integerRegexpExampleFile);
		}
	}

	/**
	 * Removes all the integer regexp example files where userId = &#63; from the database.
	 *
	 * @param userId the user id to search with
	 * @throws SystemException if a system exception occurred
	 */
	public void removeByUserId(long userId) throws SystemException {
		for (integerRegexpExampleFile integerRegexpExampleFile : findByUserId(
				userId)) {
			remove(integerRegexpExampleFile);
		}
	}

	/**
	 * Removes all the integer regexp example files where userId = &#63; and groupId = &#63; from the database.
	 *
	 * @param userId the user id to search with
	 * @param groupId the group id to search with
	 * @throws SystemException if a system exception occurred
	 */
	public void removeByUserIdGroupId(long userId, long groupId)
		throws SystemException {
		for (integerRegexpExampleFile integerRegexpExampleFile : findByUserIdGroupId(
				userId, groupId)) {
			remove(integerRegexpExampleFile);
		}
	}

	/**
	 * Removes all the integer regexp example files from the database.
	 *
	 * @throws SystemException if a system exception occurred
	 */
	public void removeAll() throws SystemException {
		for (integerRegexpExampleFile integerRegexpExampleFile : findAll()) {
			remove(integerRegexpExampleFile);
		}
	}

	/**
	 * Counts all the integer regexp example files where groupId = &#63;.
	 *
	 * @param groupId the group id to search with
	 * @return the number of matching integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public int countByGroupId(long groupId) throws SystemException {
		Object[] finderArgs = new Object[] { groupId };

		Long count = (Long)FinderCacheUtil.getResult(FINDER_PATH_COUNT_BY_GROUPID,
				finderArgs, this);

		if (count == null) {
			StringBundler query = new StringBundler(2);

			query.append(_SQL_COUNT_INTEGERREGEXPEXAMPLEFILE_WHERE);

			query.append(_FINDER_COLUMN_GROUPID_GROUPID_2);

			String sql = query.toString();

			Session session = null;

			try {
				session = openSession();

				Query q = session.createQuery(sql);

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(groupId);

				count = (Long)q.uniqueResult();
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (count == null) {
					count = Long.valueOf(0);
				}

				FinderCacheUtil.putResult(FINDER_PATH_COUNT_BY_GROUPID,
					finderArgs, count);

				closeSession(session);
			}
		}

		return count.intValue();
	}

	/**
	 * Filters by the user's permissions and counts all the integer regexp example files where groupId = &#63;.
	 *
	 * @param groupId the group id to search with
	 * @return the number of matching integer regexp example files that the user has permission to view
	 * @throws SystemException if a system exception occurred
	 */
	public int filterCountByGroupId(long groupId) throws SystemException {
		if (!InlineSQLHelperUtil.isEnabled(groupId)) {
			return countByGroupId(groupId);
		}

		StringBundler query = new StringBundler(2);

		query.append(_FILTER_SQL_COUNT_INTEGERREGEXPEXAMPLEFILE_WHERE);

		query.append(_FINDER_COLUMN_GROUPID_GROUPID_2);

		String sql = InlineSQLHelperUtil.replacePermissionCheck(query.toString(),
				integerRegexpExampleFile.class.getName(), _FILTER_COLUMN_PK,
				_FILTER_COLUMN_USERID, groupId);

		Session session = null;

		try {
			session = openSession();

			SQLQuery q = session.createSQLQuery(sql);

			q.addScalar(COUNT_COLUMN_NAME,
				com.liferay.portal.kernel.dao.orm.Type.LONG);

			QueryPos qPos = QueryPos.getInstance(q);

			qPos.add(groupId);

			Long count = (Long)q.uniqueResult();

			return count.intValue();
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	/**
	 * Counts all the integer regexp example files where userId = &#63;.
	 *
	 * @param userId the user id to search with
	 * @return the number of matching integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public int countByUserId(long userId) throws SystemException {
		Object[] finderArgs = new Object[] { userId };

		Long count = (Long)FinderCacheUtil.getResult(FINDER_PATH_COUNT_BY_USERID,
				finderArgs, this);

		if (count == null) {
			StringBundler query = new StringBundler(2);

			query.append(_SQL_COUNT_INTEGERREGEXPEXAMPLEFILE_WHERE);

			query.append(_FINDER_COLUMN_USERID_USERID_2);

			String sql = query.toString();

			Session session = null;

			try {
				session = openSession();

				Query q = session.createQuery(sql);

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(userId);

				count = (Long)q.uniqueResult();
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (count == null) {
					count = Long.valueOf(0);
				}

				FinderCacheUtil.putResult(FINDER_PATH_COUNT_BY_USERID,
					finderArgs, count);

				closeSession(session);
			}
		}

		return count.intValue();
	}

	/**
	 * Counts all the integer regexp example files where userId = &#63; and groupId = &#63;.
	 *
	 * @param userId the user id to search with
	 * @param groupId the group id to search with
	 * @return the number of matching integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public int countByUserIdGroupId(long userId, long groupId)
		throws SystemException {
		Object[] finderArgs = new Object[] { userId, groupId };

		Long count = (Long)FinderCacheUtil.getResult(FINDER_PATH_COUNT_BY_USERIDGROUPID,
				finderArgs, this);

		if (count == null) {
			StringBundler query = new StringBundler(3);

			query.append(_SQL_COUNT_INTEGERREGEXPEXAMPLEFILE_WHERE);

			query.append(_FINDER_COLUMN_USERIDGROUPID_USERID_2);

			query.append(_FINDER_COLUMN_USERIDGROUPID_GROUPID_2);

			String sql = query.toString();

			Session session = null;

			try {
				session = openSession();

				Query q = session.createQuery(sql);

				QueryPos qPos = QueryPos.getInstance(q);

				qPos.add(userId);

				qPos.add(groupId);

				count = (Long)q.uniqueResult();
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (count == null) {
					count = Long.valueOf(0);
				}

				FinderCacheUtil.putResult(FINDER_PATH_COUNT_BY_USERIDGROUPID,
					finderArgs, count);

				closeSession(session);
			}
		}

		return count.intValue();
	}

	/**
	 * Filters by the user's permissions and counts all the integer regexp example files where userId = &#63; and groupId = &#63;.
	 *
	 * @param userId the user id to search with
	 * @param groupId the group id to search with
	 * @return the number of matching integer regexp example files that the user has permission to view
	 * @throws SystemException if a system exception occurred
	 */
	public int filterCountByUserIdGroupId(long userId, long groupId)
		throws SystemException {
		if (!InlineSQLHelperUtil.isEnabled(groupId)) {
			return countByUserIdGroupId(userId, groupId);
		}

		StringBundler query = new StringBundler(3);

		query.append(_FILTER_SQL_COUNT_INTEGERREGEXPEXAMPLEFILE_WHERE);

		query.append(_FINDER_COLUMN_USERIDGROUPID_USERID_2);

		query.append(_FINDER_COLUMN_USERIDGROUPID_GROUPID_2);

		String sql = InlineSQLHelperUtil.replacePermissionCheck(query.toString(),
				integerRegexpExampleFile.class.getName(), _FILTER_COLUMN_PK,
				_FILTER_COLUMN_USERID, groupId);

		Session session = null;

		try {
			session = openSession();

			SQLQuery q = session.createSQLQuery(sql);

			q.addScalar(COUNT_COLUMN_NAME,
				com.liferay.portal.kernel.dao.orm.Type.LONG);

			QueryPos qPos = QueryPos.getInstance(q);

			qPos.add(userId);

			qPos.add(groupId);

			Long count = (Long)q.uniqueResult();

			return count.intValue();
		}
		catch (Exception e) {
			throw processException(e);
		}
		finally {
			closeSession(session);
		}
	}

	/**
	 * Counts all the integer regexp example files.
	 *
	 * @return the number of integer regexp example files
	 * @throws SystemException if a system exception occurred
	 */
	public int countAll() throws SystemException {
		Object[] finderArgs = new Object[0];

		Long count = (Long)FinderCacheUtil.getResult(FINDER_PATH_COUNT_ALL,
				finderArgs, this);

		if (count == null) {
			Session session = null;

			try {
				session = openSession();

				Query q = session.createQuery(_SQL_COUNT_INTEGERREGEXPEXAMPLEFILE);

				count = (Long)q.uniqueResult();
			}
			catch (Exception e) {
				throw processException(e);
			}
			finally {
				if (count == null) {
					count = Long.valueOf(0);
				}

				FinderCacheUtil.putResult(FINDER_PATH_COUNT_ALL, finderArgs,
					count);

				closeSession(session);
			}
		}

		return count.intValue();
	}

	/**
	 * Initializes the integer regexp example file persistence.
	 */
	public void afterPropertiesSet() {
		String[] listenerClassNames = StringUtil.split(GetterUtil.getString(
					com.liferay.util.service.ServiceProps.get(
						"value.object.listener.org.xmlportletfactory.portal.goodclient.model.integerRegexpExampleFile")));

		if (listenerClassNames.length > 0) {
			try {
				List<ModelListener<integerRegexpExampleFile>> listenersList = new ArrayList<ModelListener<integerRegexpExampleFile>>();

				for (String listenerClassName : listenerClassNames) {
					listenersList.add((ModelListener<integerRegexpExampleFile>)InstanceFactory.newInstance(
							listenerClassName));
				}

				listeners = listenersList.toArray(new ModelListener[listenersList.size()]);
			}
			catch (Exception e) {
				_log.error(e);
			}
		}
	}

	public void destroy() {
		EntityCacheUtil.removeCache(integerRegexpExampleFileImpl.class.getName());
		FinderCacheUtil.removeCache(FINDER_CLASS_NAME_ENTITY);
		FinderCacheUtil.removeCache(FINDER_CLASS_NAME_LIST);
	}

	@BeanReference(type = integerRegexpExampleFilePersistence.class)
	protected integerRegexpExampleFilePersistence integerRegexpExampleFilePersistence;
	@BeanReference(type = ResourcePersistence.class)
	protected ResourcePersistence resourcePersistence;
	@BeanReference(type = UserPersistence.class)
	protected UserPersistence userPersistence;
	private static final String _SQL_SELECT_INTEGERREGEXPEXAMPLEFILE = "SELECT integerRegexpExampleFile FROM integerRegexpExampleFile integerRegexpExampleFile";
	private static final String _SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_WHERE = "SELECT integerRegexpExampleFile FROM integerRegexpExampleFile integerRegexpExampleFile WHERE ";
	private static final String _SQL_COUNT_INTEGERREGEXPEXAMPLEFILE = "SELECT COUNT(integerRegexpExampleFile) FROM integerRegexpExampleFile integerRegexpExampleFile";
	private static final String _SQL_COUNT_INTEGERREGEXPEXAMPLEFILE_WHERE = "SELECT COUNT(integerRegexpExampleFile) FROM integerRegexpExampleFile integerRegexpExampleFile WHERE ";
	private static final String _FINDER_COLUMN_GROUPID_GROUPID_2 = "integerRegexpExampleFile.groupId = ?";
	private static final String _FINDER_COLUMN_USERID_USERID_2 = "integerRegexpExampleFile.userId = ?";
	private static final String _FINDER_COLUMN_USERIDGROUPID_USERID_2 = "integerRegexpExampleFile.userId = ? AND ";
	private static final String _FINDER_COLUMN_USERIDGROUPID_GROUPID_2 = "integerRegexpExampleFile.groupId = ?";
	private static final String _FILTER_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_WHERE =
		"SELECT DISTINCT {integerRegexpExampleFile.*} FROM xmlpfintegerregexpexample_integerRegexpExampleFile integerRegexpExampleFile WHERE ";
	private static final String _FILTER_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_NO_INLINE_DISTINCT_WHERE_1 =
		"SELECT {xmlpfintegerregexpexample_integerRegexpExampleFile.*} FROM (SELECT DISTINCT integerRegexpExampleFile.exampleId FROM xmlpfintegerregexpexample_integerRegexpExampleFile integerRegexpExampleFile WHERE ";
	private static final String _FILTER_SQL_SELECT_INTEGERREGEXPEXAMPLEFILE_NO_INLINE_DISTINCT_WHERE_2 =
		") TEMP_TABLE INNER JOIN xmlpfintegerregexpexample_integerRegexpExampleFile ON TEMP_TABLE.exampleId = xmlpfintegerregexpexample_integerRegexpExampleFile.exampleId";
	private static final String _FILTER_SQL_COUNT_INTEGERREGEXPEXAMPLEFILE_WHERE =
		"SELECT COUNT(DISTINCT integerRegexpExampleFile.exampleId) AS COUNT_VALUE FROM xmlpfintegerregexpexample_integerRegexpExampleFile integerRegexpExampleFile WHERE ";
	private static final String _FILTER_COLUMN_PK = "integerRegexpExampleFile.exampleId";
	private static final String _FILTER_COLUMN_USERID = "integerRegexpExampleFile.userId";
	private static final String _FILTER_ENTITY_ALIAS = "integerRegexpExampleFile";
	private static final String _FILTER_ENTITY_TABLE = "xmlpfintegerregexpexample_integerRegexpExampleFile";
	private static final String _ORDER_BY_ENTITY_ALIAS = "integerRegexpExampleFile.";
	private static final String _ORDER_BY_ENTITY_TABLE = "xmlpfintegerregexpexample_integerRegexpExampleFile.";
	private static final String _NO_SUCH_ENTITY_WITH_PRIMARY_KEY = "No integerRegexpExampleFile exists with the primary key ";
	private static final String _NO_SUCH_ENTITY_WITH_KEY = "No integerRegexpExampleFile exists with the key {";
	private static Log _log = LogFactoryUtil.getLog(integerRegexpExampleFilePersistenceImpl.class);
}